﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmCollegeCertification : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                lblError.Text = "";
                ShowCollegeid();
               
                ddlCertificationId.Items.Insert(0, "--Select One--");
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    
    Cls_CollegeCertifications objCollegecertifications = new Cls_CollegeCertifications();
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objCollegecertifications.CollegeID = Convert.ToInt32(ddlCollegeId.SelectedValue);
            objCollegecertifications.CertificationId = Convert.ToInt32(ddlCertificationId.SelectedValue);
            objCollegecertifications.CurrentStatus = ddlCurrentStatus.Text;
          int i= objCollegecertifications.InsertCollegeCertifications();
          if (i > 0)
          {
              lblError.Text = "Recorded Is Inserted";
              Cleardata();
          }
          else {
              lblError.Text = "Data is Not Inserted Try Again";
          }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void ddlCollegeId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            int Collegeid =Convert.ToInt32(ddlCollegeId.SelectedValue);
         DataSet    ds = objCollegecertifications.GetCollegeIdSelect(Collegeid);
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCertificationId.DataSource = ds.Tables[0];
                ddlCertificationId.DataValueField = "CertificationId";
                ddlCertificationId.DataTextField = "CertificationName";
                ddlCertificationId.DataBind();
            }
            ddlCertificationId.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ShowCollegeid()
    {
        try
        {
           DataSet  ds = objCollegecertifications.GetCollegeId();
           
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCollegeId.DataSource = ds.Tables[0];
                ddlCollegeId.DataValueField = "CollegeId";
                ddlCollegeId.DataTextField = "CollegeName";
                ddlCollegeId.DataBind();
            }
            ddlCollegeId.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    
    }
    public void Cleardata()
    {
        if (ddlCollegeId .SelectedIndex != 0)
            ddlCollegeId.SelectedIndex = 0;
        if (ddlCertificationId.SelectedIndex != 0)
            ddlCertificationId.SelectedIndex = 0;
        if (ddlCurrentStatus.SelectedIndex != 0)
            ddlCurrentStatus.SelectedIndex = 0;

    }
}
