﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmCollegeCourseMaster : System.Web.UI.Page
{
    Cls_CollegeCourseMaster objCollegeCourseMaster = new Cls_CollegeCourseMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                lblError.Text = "";
                ShowCollegeid();
                ddlCourseid.Items.Insert(0, "--Select One--");
            
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
  static string s;
 
    protected void btnAttach_Click(object sender, EventArgs e)
    {
        try
        {
          
        s = Server.MapPath("~/CollegeDetailsFile/" + FileUpload1.FileName);
        FileUpload1.SaveAs(s);
        ViewState["CourseDetailsFile"] = "~/CollegeDetailsFile/" + FileUpload1.FileName;
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objCollegeCourseMaster.CollegeId = Convert.ToInt32(ddlCollegeId.SelectedValue);
            objCollegeCourseMaster.CourseId = Convert.ToInt32(ddlCourseid.SelectedValue);
            objCollegeCourseMaster.CourseDetailsFile = ViewState["CourseDetailsFile"].ToString();
           int i= objCollegeCourseMaster.InsertCollegeCourseMaster();
           if (i > 0)
           {
               lblError.Text = "Recorded Inserted";
               Cleardata();

           }
           else {
               lblError.Text = "recorded Not Inserted";
           
           }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }

    public void ShowCollegeid()
    {
        try
        {
            DataSet ds = objCollegeCourseMaster.GetCollegeId();

            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCollegeId.DataSource = ds.Tables[0];
                ddlCollegeId.DataValueField = "CollegeId";
                ddlCollegeId.DataTextField = "CollegeName";
                ddlCollegeId.DataBind();
            }
            ddlCollegeId.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    public void Cleardata()
    {
        if (ddlCollegeId.SelectedIndex != 0)
            ddlCollegeId.SelectedIndex = 0;
        if (ddlCourseid.SelectedIndex != 0)
            ddlCourseid.SelectedIndex = 0;
        ViewState["CourseDetailsFile"] = "";

    }
    protected void ddlCollegeId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            int CollId = Convert.ToInt32(ddlCollegeId.SelectedValue);
            DataSet ds = objCollegeCourseMaster.GetCollegeIdSelect(CollId);
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCourseid.DataSource = ds.Tables[0];
                ddlCourseid.DataValueField = "CourseID";
                ddlCourseid.DataTextField = "CourseName";
                ddlCourseid.DataBind();
            }
            ddlCourseid.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
}
