﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmCollegesMaster : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
               
                ShowUniversityId();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    Cls_CollegesMaster objcollegemaster = new Cls_CollegesMaster();
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objcollegemaster.CollegeName = txtCollegeName.Text;
            objcollegemaster.CollegeAddress = txtCollegeAddress.Text;
            objcollegemaster.PhoneNo = txtPhoneNo.Text;
            objcollegemaster.EmailId = txtEmail.Text;
            objcollegemaster.Weblink = txtWeblink.Text;
            objcollegemaster.UniversityId = Convert.ToInt32(ddlUniversityId.SelectedValue);
            int i = objcollegemaster.InsertCollegeMaster();
            if (i > 0)
            {

                lblError.Text = "Recorded Inserted";
                Cleardata();

            }
            else
            {
                lblError.Text = "Recorded Not Inserted Try Again...";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
       

    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Cleardata();
        lblError.Text = "";
    }
    public void Cleardata()
    {
        txtEmail.Text = "";
        txtPhoneNo.Text = "";
        txtCollegeAddress.Text = "";
        txtCollegeName.Text = "";
        txtWeblink.Text = "";
        if (ddlUniversityId.SelectedIndex != 0)
            ddlUniversityId.SelectedIndex = 0;

    }
    public void ShowUniversityId()
    {
        try
        {
            DataSet ds = objcollegemaster.ShowUniversityId();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlUniversityId.DataSource = ds.Tables[0];
                ddlUniversityId.DataValueField = "UniversityId";
                ddlUniversityId.DataTextField = "UniversityName";
                ddlUniversityId.DataBind();
                ddlUniversityId.Items.Insert(0, "--Select One--");
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    
    }
}
