﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmCourseMaster : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                Domainid();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    Cls_CoursesMaster objCoursemaster = new Cls_CoursesMaster();
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objCoursemaster.CourseName = txtCourseName.Text;
            objCoursemaster.CourseDesc = txtCourseDescription.Text;
            objCoursemaster.CourseAbbr = txtCourseAbbr.Text;
            objCoursemaster.DomainId = Convert.ToInt32(ddldomainid.SelectedValue);
           int i= objCoursemaster.InsertCourseMaster();
           if (i > 0)
           {
               lblError.Text = "Recorded Inserted";
               Cleardata();
           }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Domainid()
    {
        try
        {
            DataSet ds = objCoursemaster.showDomainId();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddldomainid.DataSource = ds.Tables[0];
                ddldomainid.DataValueField = "DomainId";
                ddldomainid.DataTextField = "DomainName";
                ddldomainid.DataBind();
            }
            ddldomainid.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Cleardata()
    {
        try
        {
            if (ddldomainid.SelectedIndex != 0)
                ddldomainid.SelectedIndex = 0;
            txtCourseAbbr.Text = "";
            txtCourseDescription.Text = "";
            txtCourseName.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }


    }

}
