﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmDomainFieldMaster : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
                Domainfieldid();

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    Cls_DomainfieldMaster objdomainfieldMaster = new Cls_DomainfieldMaster();
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objdomainfieldMaster.DomainfieldName = txtDomainfieldname.Text;
            objdomainfieldMaster.DomainfieldAbbr = txtDomainfieldabbr.Text;
            objdomainfieldMaster.DomainfieldDesc = txtDomainfielddesc.Text;
            objdomainfieldMaster.DomainId = Convert.ToInt32(ddlDomainId.SelectedValue);
            int i = objdomainfieldMaster.InsertDomainfieldMaster();
            if (i > 0)
            {
                lblError.Text = "Recorded Inserted";
                Cleardata();
            }
            else
            {
                lblError.Text = "No record found";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
       
    }
    public void Domainfieldid()
    {
        try
        {
            DataSet ds = objdomainfieldMaster.showDomainId();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlDomainId.DataSource = ds.Tables[0];
                ddlDomainId.DataValueField = "DomainId";
                ddlDomainId.DataTextField = "DomainName";
                ddlDomainId.DataBind();
            }
            ddlDomainId.Items.Insert(0, "--Select One--");
            
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Cleardata()
    {
        try
        {
            if (ddlDomainId.SelectedIndex != 0)
                ddlDomainId.SelectedIndex = 0;
            txtDomainfieldabbr.Text = "";
            txtDomainfielddesc.Text = "";
            txtDomainfieldname.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
       
    
    }
}
