﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmEditDomainfieldmaster : System.Web.UI.Page
{
    Cls_DomainfieldMaster objdomainfieldmaster = new Cls_DomainfieldMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            GetDomainfieldData();
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objdomainfieldmaster.DomainfieldId =Convert.ToInt32( ddlStudentId.SelectedValue);
            objdomainfieldmaster.DomainfieldAbbr = txtAbbr.Text;
            objdomainfieldmaster.DomainfieldDesc = txtDescription.Text;
            int i = objdomainfieldmaster.updataDomainfieldMaster();
            if(i>0)
            {
                ClearData();
            lblError.Text=" Domainfield Modified";

            }
            else
            {
            lblError.Text="Error Process Try Again..";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        ClearData();
    }
    public void GetDomainfieldData()
    {
        try
        {
            DataSet ds = Cls_DomainfieldMaster.ShowDomainfieldDetails();
            
                if (ds.Tables[0].Rows.Count != 0)
                {
                    ddlStudentId.DataSource = ds.Tables[0];
                    ddlStudentId.DataTextField = "domainfieldName";
                    ddlStudentId.DataValueField = "domainfieldid";
                    ddlStudentId.DataBind();
                    ddlStudentId.Items.Insert(0, "--Select One--");
                }
            
            

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ClearData()
    {
        txtAbbr.Text = "";
        txtDescription.Text = "";
        txtDomainName.Text = "";
        if (ddlStudentId.SelectedIndex != 0)
            ddlStudentId.SelectedIndex = 0;
        lblError.Text = "";
    }
    protected void ddlStudentId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlStudentId.SelectedIndex != 0)
            {
                DataSet ds1 = Cls_DomainfieldMaster.ShowDomainfieldDetailsIdselect(Convert.ToInt32(ddlStudentId.SelectedValue));
                if (ds1.Tables[0].Rows.Count != 0)
                {
                    txtAbbr.Text = ds1.Tables[0].Rows[0][2].ToString();
                    txtDescription.Text = ds1.Tables[0].Rows[0][3].ToString();
                    txtDomainName.Text = ds1.Tables[0].Rows[0][1].ToString();
                   
                }
            }

            else
            {
                ClearData();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
