﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmEditSucessWomen : System.Web.UI.Page
{
    Cls_SucessWomanMaster objSucesswomenmaster = new Cls_SucessWomanMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
                SucessWomenId();

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
   
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Cleardata()
    {
        try
        {
            if (ddldSuceeswomenid.SelectedIndex != 0)
                ddldSuceeswomenid.SelectedIndex = 0;
            txtAddress.Text = "";
            Session["FileName"] = "";
            Session["Videofile"] = "";
            ViewState["FileName"] = "";
            ViewState["Videofile"] = "";
            FileUpload1.ClearImage();
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
    }

    public void SucessWomenId()
    {
        try
        {
           
          DataSet  ds= objSucesswomenmaster.GetSucesswomenid();
          if (ds.Tables[0].Rows.Count != 0)
          {
              ddldSuceeswomenid.DataSource = ds.Tables[0];
              ddldSuceeswomenid.DataValueField = "SucessWomenId";
              ddldSuceeswomenid.DataTextField = "SucessWomenName";
              ddldSuceeswomenid.DataBind();
              
          
          }
          ddldSuceeswomenid.Items.Insert(0, "--Select One--");

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    
    }
    protected void ddldSuceeswomenid_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
          lblError.Text = "";
          int Swomenid = Convert.ToInt32(ddldSuceeswomenid.SelectedValue);
          DataSet  ds= objSucesswomenmaster.GetSucessWomenIdSelect(Swomenid);
          if (ds.Tables[0].Rows.Count != 0)
          {
              DataTable dt=ds.Tables[0];
              txtAddress.Text = dt.Rows[0][1].ToString();
              FileUpload1.Image = dt.Rows[0][6].ToString();
              ViewState["FileName"] = dt.Rows[0][6].ToString();
              FileUpload1.loadimage();
              ViewState["Videofile"] = dt.Rows[0][7].ToString();
          }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
    }
    protected void btnModify_Click(object sender, EventArgs e)
    {
        try
        {
            objSucesswomenmaster.SucessWomenId  = Convert.ToInt32(ddldSuceeswomenid.SelectedValue);
            objSucesswomenmaster.Address = txtAddress.Text;
            if (Session["FileName"] != null && Session["FileName"].ToString() != "")
                objSucesswomenmaster.Photograph = Session["FileName"].ToString();
            else
                objSucesswomenmaster.Photograph = ViewState["FileName"].ToString();
            if (Session["Videofile"] != null && Session["Videofile"].ToString() != "")
                objSucesswomenmaster.SucessVideoGallery = Session["Videofile"].ToString();
            else
                objSucesswomenmaster.SucessVideoGallery = ViewState["Videofile"].ToString();
            int i = objSucesswomenmaster.UpdateSucessWomenMaster();
            if (i > 0)
            {
                 Cleardata();
                lblError.Text = "Recorded Modify";
            }
            else
            {
                lblError.Text = "Recorded Not Modify";
            
            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
    }
    protected void btnVIdeogallary_Click(object sender, EventArgs e)
    {
        try
        {
            Session["Videofile"] = "~/Videofile/" + fileuploadVideogallary.FileName;
            if (fileuploadVideogallary.FileName != "")
            {
                fileuploadVideogallary.SaveAs(Server.MapPath("~/Videofile/" + fileuploadVideogallary.FileName));
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
