﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmSucessWomenMaster : System.Web.UI.Page
{
    Cls_SucessWomanMaster objsucessWomenMaster = new Cls_SucessWomanMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                ShowDomainfieldId();
                Session["Videofile"] = "";
                Session["FileName"] = "";
                ViewState["DocumentFiles"] = "";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ShowDomainfieldId()
    {
        try
        {
            DataSet ds = objsucessWomenMaster.GetDomainfieldId();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddldomainfieldid.DataSource = ds.Tables[0];
                ddldomainfieldid.DataValueField = "DomainfieldId";
                ddldomainfieldid.DataTextField = "DomainfieldName";
                ddldomainfieldid.DataBind();
                lblError.Text = "";
            }
            ddldomainfieldid.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    public void Cleardata()
    {
        txtAddress.Text = "";
        txtdataofbirth.Text = "";
        txtStorydata.Text = "";
        txtsuccesswomenName.Text = "";
        FileUpload1.ClearImage();
        if (ddldomainfieldid.SelectedIndex != 0)
            ddldomainfieldid.SelectedIndex = 0;
        Session["Videofile"] = "";
        Session["FileName"] = "";
       ViewState["DocumentFiles"] = "";
       FileUpload1.ClearImage();
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objsucessWomenMaster.SucessWomenName = txtsuccesswomenName.Text;
            objsucessWomenMaster.Address = txtAddress.Text;
            objsucessWomenMaster.DateOfBirth =Convert.ToDateTime( txtdataofbirth.Text);
            objsucessWomenMaster.DomainfieldId = Convert.ToInt32(ddldomainfieldid.SelectedValue);
            objsucessWomenMaster.SucessStoryData = txtStorydata.Text;
            if (ViewState["DocumentFiles"] != "")
            {
                objsucessWomenMaster.SucessStorylinkFile = ViewState["DocumentFiles"].ToString();
            }
            else
            {
                objsucessWomenMaster.SucessStorylinkFile ="";
            }
            if (Session["FileName"] != "")
            {
                objsucessWomenMaster.Photograph = Session["FileName"].ToString();
            }
            else
            {
                objsucessWomenMaster.Photograph = "~/Upload/NoImage.jpg";
            }
            if (Session["Videofile"] != "")
            {
                objsucessWomenMaster.SucessVideoGallery = Session["Videofile"].ToString();
            }
            else
            {
                objsucessWomenMaster.SucessVideoGallery = "";
            }
           
             int i=  objsucessWomenMaster.InsertSucessWomenMaster();
        if(i>0)
        {
        lblError.Text="Recorded Inserted";
        Cleardata();
        }
            else
        {
        lblError.Text="No Recorded";
        }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAttach_Click(object sender, EventArgs e)
    {
        try
        {
            ViewState["DocumentFiles"] = "~/DocumentFiles/" + FileuploadLinkfile.FileName;
            if (FileuploadLinkfile.FileName != "")
            { 
            FileuploadLinkfile.SaveAs(Server.MapPath("~/DocumentFiles/" + FileuploadLinkfile.FileName));
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnVIdeogallary_Click(object sender, EventArgs e)
    {
        try
        {
            Session["Videofile"] = "~/Videofile/" + fileuploadVideogallary.FileName;
            if (fileuploadVideogallary .FileName != "")
            {
                fileuploadVideogallary.SaveAs(Server.MapPath("~/Videofile/" + fileuploadVideogallary.FileName));
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
