﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmUniversityCertification : System.Web.UI.Page
{
    Cls_UniversityCertification objuniversityCertification = new Cls_UniversityCertification();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            { 
            ShowUniversityId();
            ddlCertificationId.Items.Insert(0, "--Select One--");
            }
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objuniversityCertification.UniversityId = Convert.ToInt32(ddlUniversityId.SelectedValue);
            objuniversityCertification.CertificationId = Convert.ToInt32(ddlCertificationId.SelectedValue);
            objuniversityCertification.CurrentStatus = ddlCurrentStatus.Text;
       int i=     objuniversityCertification.insertUniversityCertification();

       if (i > 0)
       {
           lblError.Text = "Recorded Inserted";
           gridcertification.DataSourceID = "SqlDataSource1";
           gridcertification.DataBind();
           Cleardata();
       }
       else
       {
           lblError.Text = "Not Inserted";
       }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        Cleardata();
        lblError.Text = "";
    }
    public void ShowUniversityId()
    {
        try
        {
            DataSet ds = objuniversityCertification.ShowUniversityId();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlUniversityId.DataSource = ds.Tables[0];
                ddlUniversityId.DataValueField = "UniversityId";
                ddlUniversityId.DataTextField = "UniversityName";
                ddlUniversityId.DataBind();
                ddlUniversityId.Items.Insert(0, "--Select One--");
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void ddlUniversityId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            int i = Convert.ToInt32(ddlUniversityId.SelectedValue);
             DataSet ds = objuniversityCertification.ShowSelectUniversityId(i);
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCertificationId.DataSource = ds.Tables[0];
                ddlCertificationId.DataValueField = "CertificationId";
                ddlCertificationId.DataTextField = "CertificationName";
                ddlCertificationId.DataBind();
                ddlCertificationId.Items.Insert(0, "--Select One--");
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Cleardata()
    {
        if (ddlUniversityId.SelectedIndex != 0)
            ddlUniversityId.SelectedIndex = 0;
        if (ddlCertificationId.SelectedIndex != 0)
            ddlCertificationId.SelectedIndex = 0;
        if (ddlCurrentStatus .SelectedIndex != 0)
            ddlCurrentStatus.SelectedIndex = 0;
    
    }
}
