﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_CollegeCertifications
/// </summary>
public class Cls_CollegeCertifications
{
    public static DataSet ds;
    private int collegeID;
    private int certificationId;
    private string dateofCertification;
    private string currentStatus;

    // constructor
    public Cls_CollegeCertifications()
    {
    }
    public int InsertCollegeCertifications()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[3];
            p[0] = new SqlParameter("@CollegeID", CollegeID);
            p[1] = new SqlParameter("@CertificationId", CertificationId);
            p[2] = new SqlParameter("@CurrentStatus", CurrentStatus);
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegeCertifications_Insert", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

       
    }
    public DataSet GetCollegeId()
    {
        try
        {
           
            ds = new DataSet();
          ds= SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesMaster_Select");
            return ds;

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet GetCollegeIdSelect(int ColleId)
    {
        try
        {
            SqlParameter p = new SqlParameter("@CollegeId", ColleId);
            ds = new DataSet();
           ds= SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegeidAndCertificationId_Select",p);
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
      
        
    
    }
   

    public int CollegeID { get { return collegeID; } set { collegeID = value; } }
    public int CertificationId { get { return certificationId; } set { certificationId = value; } }
    public string DateofCertification { get { return dateofCertification; } set { dateofCertification = value; } }
    public string CurrentStatus { get { return currentStatus; } set { currentStatus = value; } }
}