﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_CollegeMaster
/// </summary>
public class Cls_CollegesMaster
{
    public static DataSet ds;
    private int collegeId;
    private string collegeName;
    private string collegeAddress;
    private string phoneNo;
    private string emailId;
    private string weblink;
    private int universityId;

    // constructor
    public Cls_CollegesMaster()
    {
    }
    public int InsertCollegeMaster()
    {
        try
        {
           
            SqlParameter[] p = new SqlParameter[6];
            p[0] = new SqlParameter("@CollegeName ", CollegeName);
            p[1] = new SqlParameter("@CollegeAddress ", CollegeAddress);
            p[2] = new SqlParameter("@PhoneNo ", PhoneNo);
            p[3] = new SqlParameter("@EmailId ", EmailId);
            p[4] = new SqlParameter("@Weblink ", Weblink);
            p[5] = new SqlParameter("@UniversityId ", UniversityId);
           
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesMaster_Insert", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
      
    
    }

    public int UpdateCollegeMaster()
    {
        try
        {

            SqlParameter[] p = new SqlParameter[5];
            p[0] = new SqlParameter("@CollegeId", CollegeId);
            p[1] = new SqlParameter("@CollegeAddress ", CollegeAddress);
            p[2] = new SqlParameter("@PhoneNo ", PhoneNo);
            p[3] = new SqlParameter("@EmailId ", EmailId);
            p[4] = new SqlParameter("@Weblink ", Weblink);


            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesMaster_Update", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }


    }

    public DataSet ShowUniversityId()
    {
        try
        {
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversitiesMaster_Select");
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetCollegeId()
    {
        try
        {

            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesMaster_Select");
            return ds;

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet GetCollegeIdSelect(int ColleId)
    {
        try
        {
            SqlParameter p = new SqlParameter("@CollegeId", ColleId);
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesmasterupdateShow", p);
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }



    }
    public int CollegeId { get { return collegeId; } set { collegeId = value; } }
    public string CollegeName { get { return collegeName; } set { collegeName = value; } }
    public string CollegeAddress { get { return collegeAddress; } set { collegeAddress = value; } }
    public string PhoneNo { get { return phoneNo; } set { phoneNo = value; } }
    public string EmailId { get { return emailId; } set { emailId = value; } }
    public string Weblink { get { return weblink; } set { weblink = value; } }
    public int UniversityId { get { return universityId; } set { universityId = value; } }

    public static DataSet  ShowCollegeCourseDetails(int p1)
    {
        try
        {
            SqlParameter p=new SqlParameter("@Collegeid",p1);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString,CommandType.StoredProcedure,"Sp_ShowCourseDetails",p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
}