﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_EqtestQuestionAndAnswersMaster
/// </summary>
public class Cls_EqtestQuestionandAnswersMaster
{
    public static DataSet ds;
    private int eqtestID;
    private int expectedof;
    private string remarksno;
    private int questionId;
    private string questionText;
    private string answers1;
    private string answers2;
    private string answers3;
    private string answers4;
    private string answers5;
    private string correctAnsWers;
    private int noOfMarks;
    private int studentid;

    // constructor
    public Cls_EqtestQuestionandAnswersMaster()
    {
    }
    public int InsertQuestionAndAnswers()
    {
        try
        {
            SqlParameter[]p=new SqlParameter[8];
            p[0]=new SqlParameter("@EqtestID",EqtestID);
            p[1]=new SqlParameter("@QuestionText",QuestionText);
            p[2]=new SqlParameter("@Answers1",Answers1);
             p[3]=new SqlParameter("@Answers2",Answers2);
             p[4]=new SqlParameter("@Answers3",Answers3);
            p[5]=new SqlParameter("@Answers4",Answers4);
            p[6] = new SqlParameter("@CorrectAnsWer", CorrectAnsWers);
             p[7]=new SqlParameter("@NoOfMarks",NoOfMarks);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString,CommandType.StoredProcedure,"Sp_EqtestQuestionandAnswersMaster_Insert",p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);

        }
    
    }
    public DataSet ShowDomainfieldName()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowMentorName(int domainid)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@domainfieldid", domainid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldIdSelect", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowMentorNameSelectStudentID(int StudentId)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@StudentId", StudentId);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorNameSelectDomainwiseStudentid", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet ShowDomainfieldNameSelectStudentId(int StudentId)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@StudentId", StudentId);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMasterSelectStudentid", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet ShowEqtestDescription(int mentid)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@mentorid", mentid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_EqTestMasterSelectMentorId", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowQuestionAndAnswersSelect(int Eqtestid)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@eqtestid", Eqtestid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_EqtestQuestionAndAnswersSelectEqtestid", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public int InsertEqtestResultsandEqtestAttendance()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[3];
            p[0]=new SqlParameter("@EQtestID",EqtestID);
            p[1] = new SqlParameter("@StudentId", Studentid);
            p[2]=new SqlParameter("@AttendanceId",SqlDbType.BigInt);
            p[2].Direction = ParameterDirection.Output;
            SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_EqtestResultsAndEqtestAttendance", p);
            return Convert.ToInt32(p[2].Value);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowEqtestExamDetails()
    {
        try
        {
            ds = new DataSet();
           
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_Eqtestresultdata");
       
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }

    public DataSet ShowEqtestExamDetailsMentorWise(int MentId)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@MentorId", MentId);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_EqtestresultdataMentorWise", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet ShowEqtestExamDetailstestattendenceidWise(int Attendenceid)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@Attendenceid", Attendenceid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_ShowQuestiontestattendenceid", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }

    public int UpdateEqTestResults()
    {

        try
        {
            SqlParameter[] p = new SqlParameter[3];
            p[0] = new SqlParameter("@Eqtestid", EqtestID);
             p[1]=new SqlParameter("@Expectedof",Expectedof);
             p[2] = new SqlParameter("@remarksno", Remarksno);
             return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_EqtestresultsUpdate", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowEqtestExamdetailsparticularStudent(int Studentid1)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@studentid", Studentid1);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_ExamdetailsAttendancewiseStudenttext", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowEqtestExamdetailsparticularStudentidandeqtestid(int Eqtestid1,int Studentid1)
    {
        try
        {
            ds = new DataSet();
            SqlParameter[] p = new SqlParameter[2];

            p[0] = new SqlParameter("@studentid", Studentid1);
            p[1] = new SqlParameter("@eqtestid", Eqtestid1);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_ExamAlldetailsStudentidandeqtestid", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }


    public int InsertEqtestAttendenceAnswers(int TestAttendenceId1, int EqtestId1,int QuestionId1,string  AttemptedAnswer1,int testresultof)
            {
        try
        {
            SqlParameter[] p = new SqlParameter[5];
            p[0]=new SqlParameter("@testAttendenceID",TestAttendenceId1);
            p[1]=new SqlParameter("@EqtestId",EqtestId1);
            p[2]=new SqlParameter("@QuestionId",QuestionId1);
            p[3] = new SqlParameter("@AttemptedAnswers", AttemptedAnswer1);
            p[4] = new SqlParameter("@testResultof", testresultof);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_EqtestAttendenceAnswers_insert", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public int EqtestID { get { return eqtestID; } set { eqtestID = value; } }
    public int Expectedof { get { return expectedof; } set { expectedof = value; } }

    public int Studentid { get { return studentid; } set { studentid = value; } }
    public int QuestionId { get { return questionId; } set { questionId = value; } }
    public string QuestionText { get { return questionText; } set { questionText = value; } }
    public string Answers1 { get { return answers1; } set { answers1 = value; } }
    public string Answers2 { get { return answers2; } set { answers2 = value; } }
    public string Answers3 { get { return answers3; } set { answers3 = value; } }
    public string Answers4 { get { return answers4; } set { answers4 = value; } }
    public string Answers5 { get { return answers5; } set { answers5 = value; } }
    public string CorrectAnsWers { get { return correctAnsWers; } set { correctAnsWers = value; } }
    public string Remarksno { get { return remarksno; } set { remarksno = value; } }
    public int NoOfMarks { get { return noOfMarks; } set { noOfMarks = value; } }
}