﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_ForumMasterMentor
/// </summary>
public class Cls_ForumMasterMentors
{
    public static DataSet ds;
    private int forumId;
    private string forumName;
    private string forumCreateddate;
    private string forumDescription;
    private int domainfieldId;
    private int mentorId;

    // constructor
    public Cls_ForumMasterMentors()
    {
    }
    public DataSet ShowMentorId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorMaster_Select_All");


        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    
    public DataSet ShowDomainfieldId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
  
    public int InsertMentorMaster()
    {
        try
        {
            SqlParameter[]p=new SqlParameter[4];
            p[0]=new SqlParameter("@ForumName",ForumName);
            p[1]=new SqlParameter("@ForumDescription",ForumDescription);
            p[2]=new SqlParameter("@DomainfieldId",DomainfieldId);
            p[3] = new SqlParameter("@MentorId", MentorId);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_ForumMasterMentors_Insert", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    
    }

    public int ForumId { get { return forumId; } set { forumId = value; } }
    public string ForumName { get { return forumName; } set { forumName = value; } }
    public string ForumCreateddate { get { return forumCreateddate; } set { forumCreateddate = value; } }
    public string ForumDescription { get { return forumDescription; } set { forumDescription = value; } }
    public int DomainfieldId { get { return domainfieldId; } set { domainfieldId = value; } }
    public int MentorId { get { return mentorId; } set { mentorId = value; } }
}
