﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_MentorMaster
/// </summary>
public class Cls_MentorMaster
{
    public static DataSet ds;
    private int mentorId;
    private string mentorFirstName;
    private string mentorMiddleName;
    private string mentorLastName;
    private string mentorAddress;
    private string mentorphone;
    private string mentorEmail;
    private string mentorphoto;
    private int collegeId;
    private int domainfieldId;
    private string password;
    private string dateOfRegistration;
    private DateTime  dateOfBirth;
    private string achievements;
    private string username;
		private int mentorRating;

    // constructor
    public Cls_MentorMaster()
    {
    }
    public DataSet GetCollegeId()
    {
        try
        {

            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesMaster_Select");
            return ds;

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet GetDomainfieldId()
    {
        try
        {
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMaster_Select");
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet showSelectmentorid(int mentoringid)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@MentorId", mentoringid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorMaster_SelectId", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet showSelectmentorAlldata()
    {
        try
        {
            ds = new DataSet();

            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorMaster_Select_All");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public int Updatementoringmaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[10];
            p[0] = new SqlParameter("@MentorId", MentorId);
            p[1] = new SqlParameter("@MentorFirstName", MentorFirstName);
            p[2] = new SqlParameter("@MentorMiddleName", MentorMiddleName);
            p[3] = new SqlParameter("@MentorLastName", MentorLastName);
            p[4] = new SqlParameter("@MentorAddress", MentorAddress);
            p[5] = new SqlParameter("@Mentorphone ", Mentorphone);
            p[6] = new SqlParameter("@MentorEmail", MentorEmail);
            p[7] = new SqlParameter("@Mentorphoto ", Mentorphoto);
         

         
           
            p[8] = new SqlParameter("@Achievements", Achievements);
            p[9] = new SqlParameter("@MentorRating", MentorRating);
            
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorMaster_Update", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
 
    }
    public int Insertmentoring(out string msg)
    {
        try
        {
            SqlParameter[] p = new SqlParameter[15];
            p[0] = new SqlParameter("@MentorFirstName", MentorFirstName);
            p[1] = new SqlParameter("@MentorMiddleName", MentorMiddleName);
            p[2] = new SqlParameter("@MentorLastName", MentorLastName);
            p[3] = new SqlParameter("@MentorAddress", MentorAddress);
            p[4] = new SqlParameter("@Mentorphone ", Mentorphone);
            p[5] = new SqlParameter("@MentorEmail", MentorEmail);
            p[6] = new SqlParameter("@Mentorphoto ", Mentorphoto);
            p[7] = new SqlParameter("@CollegeId", CollegeId);
            
            p[8] = new SqlParameter("@Password", Password);
            p[9] = new SqlParameter("@DateOfBirth ", DateOfBirth);
            p[10] = new SqlParameter("@Achievements", Achievements);
            p[11] = new SqlParameter("@MentorRating", MentorRating);
            p[12] = new SqlParameter("@DomainfieldId", DomainfieldId);
            p[13] = new SqlParameter("@UserName", UserName);
            p[14] = new SqlParameter("@OutMsg", SqlDbType.VarChar, 50);
            p[14].Direction = ParameterDirection.Output;
            
          int i= SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorMaster_Insert", p);
          msg = Convert.ToString(p[14].Value);
          return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
 
    
    
    }


    public int MentorId { get { return mentorId; } set { mentorId = value; } }
    public string MentorFirstName { get { return mentorFirstName; } set { mentorFirstName = value; } }
    public string MentorMiddleName { get { return mentorMiddleName; } set { mentorMiddleName = value; } }
    public string MentorLastName { get { return mentorLastName; } set { mentorLastName = value; } }
    public string MentorAddress { get { return mentorAddress; } set { mentorAddress = value; } }
    public string Mentorphone { get { return mentorphone; } set { mentorphone = value; } }
    public string MentorEmail { get { return mentorEmail; } set { mentorEmail = value; } }
    public string Mentorphoto { get { return mentorphoto; } set { mentorphoto = value; } }
    public int CollegeId { get { return collegeId; } set { collegeId = value; } }
    public int DomainfieldId { get { return domainfieldId; } set { domainfieldId = value; } }
    public string Password { get { return password; } set { password = value; } }
    public string DateOfRegistration { get { return dateOfRegistration; } set { dateOfRegistration = value; } }
    public DateTime DateOfBirth { get { return dateOfBirth; } set { dateOfBirth = value; } }
    public string Achievements {get {return achievements;} set {achievements = value;}}
    public string UserName { get { return username; } set { username = value; } }
    public int MentorRating {get {return mentorRating;} set {mentorRating = value;}}

    public static DataSet  ShowStudent(int p)
    {
        try
        {
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.Text, " select TestDescription as ExamTextName,convert(varchar(20),eqtestporteddate,103) as Date, NoOfQuestions from tbl_eqtestmaster where mentorid=" + p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }

    public static DataSet  ShowStudentdisplay(int Mentorid)
    {
        try
        {
            SqlParameter p = new SqlParameter("@mentorid", Mentorid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_ShowMentorWiseStudentNew", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
}
