﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_MentorforumQuestions
/// </summary>
public class Cls_MentorForumQuestions
{

    private int questionId;
    private string questionName;
    private int forumId;
    private int datePorted;
    private int mentorId;

    // constructor
    public Cls_MentorForumQuestions()
    {
    }

    public DataSet ShowFormName()
    {
        try
        {
            DataSet ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_forumMasterMentor_Selectjoin");

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet ShowFormNameSelect(int MentorId1)
    {
        try
        {
            DataSet ds = new DataSet();
            SqlParameter p = new SqlParameter("@mentorid", MentorId1);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_forumMasterMentorIdSelect", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }

    public DataSet ShowFormIdSelect(int forumid)
    {
        try
        {
            DataSet ds = new DataSet();
            SqlParameter p = new SqlParameter("@forummentorid", forumid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_forumMasterMentorID_Select", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public int InsertStudentForumQuestion()
    {

        try
        {
            SqlParameter[] p = new SqlParameter[3];
            p[0] = new SqlParameter("@QuestionName", QuestionName);
            p[1] = new SqlParameter("@ForumId", ForumId);
            p[2] = new SqlParameter("@MentorId", MentorId);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorForumQuestions_Insert", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }

    public int QuestionId { get { return questionId; } set { questionId = value; } }
    public string QuestionName { get { return questionName; } set { questionName = value; } }
    public int ForumId { get { return forumId; } set { forumId = value; } }
    public int DatePorted { get { return datePorted; } set { datePorted = value; } }
    public int MentorId { get { return mentorId; } set { mentorId = value; } }
}
