﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_SucessWomenMaster
/// </summary>
public class Cls_SucessWomanMaster
{
    public static DataSet ds;
    
    private int sucessWomenId;
    private string sucessWomenName;
    private string address;
    private DateTime dateOfBirth;
    private int domainfieldId;
    private string sucessStoryData;
    private string sucessStorylinkFile;
    private string photograph;
    private string sucessVideoGallery;

    // constructor
    public Cls_SucessWomanMaster()
    {
    }
    public int InsertSucessWomenMaster()
    {

        try
        {
            SqlParameter []p=new SqlParameter[8];
            p[0]=new SqlParameter("@SucessWomenName ",SucessWomenName);
            p[1]=new SqlParameter("@Address ",Address );
            p[2]=new SqlParameter("@DateOfBirth ",DateOfBirth );
            p[3]=new SqlParameter("@DomainfieldId ",DomainfieldId);
            p[4]=new SqlParameter("@SucessStoryData ",SucessStoryData );
            p[5]=new SqlParameter("@SucessStorylinkFile ",SucessStorylinkFile);
            p[6]=new SqlParameter("@Photograph ",Photograph);
            p[7] = new SqlParameter("@SucessVideoGallery", SucessVideoGallery);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_SucessWomanMaster_Insert", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    
    }
    public DataSet Showsucesswomenmasteralldata()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_SucessWomenMasterShowAll");

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    
    }
    public DataSet GetDomainfieldId()
    {
        try
        {
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMaster_Select");
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetSucesswomenid()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_SucessWomanMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet GetSucessWomenIdSelect(int SWomenid)
    {

        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@SucessWomenId", SWomenid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_SucessWomanMaster_SelectId", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    
    }
    public int UpdateSucessWomenMaster()
    {

        try
        {
            SqlParameter[] p = new SqlParameter[4];
            p[0] = new SqlParameter("@SucessWomenId", SucessWomenId);
            p[1] = new SqlParameter("@Address", Address);
            p[2] = new SqlParameter("@Photograph", Photograph);
            p[3] = new SqlParameter("@SucessVideoGallery",SucessVideoGallery);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_SucessWomanMaster_Update", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public int SucessWomenId { get { return sucessWomenId; } set { sucessWomenId = value; } }
    public string SucessWomenName { get { return sucessWomenName; } set { sucessWomenName = value; } }
    public string Address { get { return address; } set { address = value; } }
    public DateTime DateOfBirth { get { return dateOfBirth; } set { dateOfBirth = value; } }
    public int DomainfieldId { get { return domainfieldId; } set { domainfieldId = value; } }
    public string SucessStoryData { get { return sucessStoryData; } set { sucessStoryData = value; } }
    public string SucessStorylinkFile { get { return sucessStorylinkFile; } set { sucessStorylinkFile = value; } }
    public string Photograph { get { return photograph; } set { photograph = value; } }
    public string SucessVideoGallery { get { return sucessVideoGallery; } set { sucessVideoGallery = value; } }
}