﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_TutorialMaster
/// </summary>
public class Cls_TutorialMaster
{
    public static DataSet ds;
    private int tutorialId;
    private string tutorialName;
    private int mentorId;
    private int domainfieldid;
    private string tutorialfile;
    private string tutorialAccessCounter;

    // constructor
    public Cls_TutorialMaster()
    {
    }
    public int InsertTutorialMaster()
    {
        try
        {
            SqlParameter[]p=new SqlParameter[5];
            p[0]=new SqlParameter("@TutorialName",TutorialName);
            p[1]=new SqlParameter("@mentorId",mentorId);
            p[2]=new SqlParameter("@Domainfieldid",Domainfieldid);
            p[3]=new SqlParameter("@Tutorialfile",Tutorialfile);
            p[4]=new SqlParameter("@TutorialAccessCounter",TutorialAccessCounter);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_TutorialMaster_Insert", p);
            
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet SelectMentoridShowDomainfielid(int mentId)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p=new SqlParameter("@MentorId",mentId);

            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_SelectMentoridShowDomainfielid", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }


    public int TutorialId { get { return tutorialId; } set { tutorialId = value; } }
    public string TutorialName { get { return tutorialName; } set { tutorialName = value; } }
    public int MentorId { get { return mentorId; } set { mentorId = value; } }
    public int Domainfieldid { get { return domainfieldid; } set { domainfieldid = value; } }
    public string Tutorialfile { get { return tutorialfile; } set { tutorialfile = value; } }
    public string TutorialAccessCounter { get { return tutorialAccessCounter; } set { tutorialAccessCounter = value; } }
}