﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_UniversitiesMaster
/// </summary>
public class Cls_UniversitiesMaster
{
    public static DataSet ds;
    private int universityId;
    private string universityName;
    private string universityAddress;
    private string phoneNo;
    private string email;
    private string weblink;
    private int countryId;

    // constructor
    public Cls_UniversitiesMaster()
    {
    }
    public int UpdateUniversitesMaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[5];
            p[0] = new SqlParameter("@UniversityId", UniversityId);
            p[1] = new SqlParameter("@UniversityAddress", UniversityAddress);
            p[2] = new SqlParameter("@PhoneNo", PhoneNo);
            p[3] = new SqlParameter("@Email", Email);
            p[4] = new SqlParameter("@Weblink", Weblink);
         
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversitiesMaster_Update", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public int insertuniversitesMaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[6];
            p[0] = new SqlParameter("@UniversityName", UniversityName);
            p[1] = new SqlParameter("@UniversityAddress", UniversityAddress);
            p[2] = new SqlParameter("@PhoneNo", PhoneNo);
            p[3] = new SqlParameter("@Email", Email);
            p[4] = new SqlParameter("@Weblink", Weblink);
            p[5] = new SqlParameter("@CountryId", CountryId);
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversitiesMaster_Insert", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

       
    
    }
    public DataSet ShowCountryId()
    {
        try
        {
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CountriesMaster_Select");
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet ShowUniversityId()
    {
        try
        {
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversitiesMaster_Select");
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet selectUniversityid(int Universityid1)
    {
        try
        {
            SqlParameter p = new SqlParameter("@universityid", Universityid1);
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversitiesMasterUpdateShow",p);
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }

    public DataSet selectUniversityiddisplaycollegelist(int Universityid2)
    {
        try
        {
            SqlParameter p = new SqlParameter("@universityid", Universityid2);
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegedetailsDisplay", p);
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public int UniversityId { get { return universityId; } set { universityId = value; } }
    public string UniversityName { get { return universityName; } set { universityName = value; } }
    public string UniversityAddress { get { return universityAddress; } set { universityAddress = value; } }
    public string PhoneNo { get { return phoneNo; } set { phoneNo = value; } }
    public string Email { get { return email; } set { email = value; } }
    public string Weblink { get { return weblink; } set { weblink = value; } }
    public int CountryId { get { return countryId; } set { countryId = value; } }
}
