﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmForumMasterMentors : System.Web.UI.Page
{
    Cls_ForumMasterMentors objforummastermentor = new Cls_ForumMasterMentors();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {                
                ShowDomainfieldId();                
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objforummastermentor.ForumName = txtforumName.Text;
            objforummastermentor.ForumDescription = txtDescription.Text;
            objforummastermentor.DomainfieldId = Convert.ToInt32(ddlDomainfieldId.SelectedValue);
            objforummastermentor.MentorId = Convert.ToInt32(Session["MentorId"]);
            int i = objforummastermentor.InsertMentorMaster();
            if (i > 0)
            {
                lblError.Text = "Recorded Inserted";
                Cleardata();
            }
            else
            {
                lblError.Text = "Recorded Is Not Inserted";
            
            }


        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    //public void ShowMentorId()
    //{
    //    try
    //    {
    //        DataSet ds = objforummastermentor.ShowMentorId();
    //        if (ds.Tables[0].Rows.Count != 0)
    //        {
    //            ddlMentorId.DataSource = ds.Tables[0];
    //            ddlMentorId.DataTextField = "MentorFirstName";
    //            ddlMentorId.DataValueField = "MentorId";
    //            ddlMentorId.DataBind();

    //        }
    //        ddlMentorId.Items.Insert(0, "--Select One--");

    //    }
    //    catch (Exception ex)
    //    {

    //        lblError.Text = ex.Message;
    //    }
    //}
    public void Cleardata()
    {
        try
        {
            txtDescription.Text = "";
            txtforumName.Text = "";
            if (ddlDomainfieldId.SelectedIndex != 0)
                ddlDomainfieldId.SelectedIndex = 0;
            
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    
    }
    public void ShowDomainfieldId()
    {
        try
        {
            Cls_MentorMaster objmentormaster = new Cls_MentorMaster();
            DataSet ds = objmentormaster.showSelectmentorid(Convert.ToInt32(Session["MentorId"]));
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlDomainfieldId.DataSource = ds.Tables[0];
                ddlDomainfieldId.DataTextField = "DomainfieldName";
                ddlDomainfieldId.DataValueField = "DomainfieldId";
                ddlDomainfieldId.DataBind();

            }
           

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
