﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmMentorWiseStudentDisplay_ : System.Web.UI.Page
{
    static int Mentorid;
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                
                Getdata();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    
   
    public void Getdata()
    {
        try
        {
            DataSet ds = Cls_MentorMaster.ShowStudentdisplay(Convert.ToInt32(Session["MentorId"]));
            if (ds.Tables[0].Rows.Count != 0)
            {
                gridDisplayStudent.DataSource = ds.Tables[0];
                gridDisplayStudent.DataBind();
            }
            else
            {
                gridDisplayStudent.EmptyDataText = "No Students";
                gridDisplayStudent.DataBind();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
       
    }
    protected void gridDisplayStudent_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        try
        {
            gridDisplayStudent.PageIndex = e.NewPageIndex;
            Getdata();
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
