﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmStudentAchievementsfeedBack : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
               
                ShowAchievementid();
            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }

    }
    Cls_StudentAchievementsFeedBack objstudentAchievementback = new Cls_StudentAchievementsFeedBack();
    protected void ddlAchievementID_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlAchievementID.SelectedIndex != 0)
            {
                lblError.Text = "";
                int AchievementId = Convert.ToInt32(ddlAchievementID.SelectedValue);
                DataSet ds = objstudentAchievementback.ShowAchievementId(AchievementId);
                if (ds.Tables[0].Rows.Count != 0)
                {
                    DataTable dt = ds.Tables[0];
                    txtAchievementDescription.Text = dt.Rows[0][0].ToString();
                    linkPhotograph.Text = dt.Rows[0][1].ToString();
                    linkVideofile.Text = dt.Rows[0][2].ToString();
                    txtstudentcomments.Text = dt.Rows[0][3].ToString();
                    txtDomainfieldid.Text = dt.Rows[0][6].ToString();
                    txtStudentName.Text = dt.Rows[0][7].ToString();
                    panelAchievementMaster.Visible = true;
                }
            }
            else
            {
                panelAchievementMaster.Visible = false;
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            Cls_StudentAchievementsMaster objstudentmaster = new Cls_StudentAchievementsMaster();
            panelAchievementMaster.Visible = false;
            objstudentmaster.StudentAchieveMentId = Convert.ToInt32(ddlAchievementID.SelectedValue);
            objstudentmaster.MentorComments = txtstudentFeedBackText.Text;
            int i = objstudentmaster.updateStudentAchievments();

            if (i > 0)
            {
                lblError.Text = "Sucessfully Comment Added";
                Cleardata();
            }
            else
            {
                lblError.Text = "Erro Process Try Again..";
            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ShowAchievementid()
    {
        try
        {
            DataSet ds = objstudentAchievementback.ShowAchievemtsMentorid(Convert.ToInt32(Session["MentorId"]));
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlAchievementID.DataSource = ds.Tables[0];
                ddlAchievementID.DataValueField = "StudentAchieveMentId";

                ddlAchievementID.DataBind();
            }
            ddlAchievementID.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Cleardata()
    {
        try
        {
            if (ddlAchievementID.SelectedIndex != 0)
                ddlAchievementID.SelectedIndex = 0;
            txtstudentFeedBackText.Text = "";
            panelAchievementMaster.Visible = false;
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void linkPhotograph_Click(object sender, EventArgs e)
    {
        try
        {
            string filename = linkPhotograph.Text;
            if (filename != "")
            {
                string path = Server.MapPath(filename);
                System.IO.FileInfo file = new System.IO.FileInfo(path);
                if (file.Exists)
                {
                    Response.Clear();
                    Response.AddHeader("Content-Disposition", "attachment; filename=" + file.Name);
                    Response.AddHeader("Content-Length", file.Length.ToString());
                    Response.ContentType = "application/octet-stream";
                    Response.WriteFile(file.FullName);
                    Response.End();
                }

                else
                {
                    Response.Write("This file does not exist.");
                }
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void linkVideofile_Click(object sender, EventArgs e)
    {
        try
        {
            string filename = linkVideofile.Text;
            if (filename != "")
            {
                string path = Server.MapPath(filename);
                System.IO.FileInfo file = new System.IO.FileInfo(path);
                if (file.Exists)
                {
                    Response.Clear();
                    Response.AddHeader("Content-Disposition", "attachment; filename=" + file.Name);
                    Response.AddHeader("Content-Length", file.Length.ToString());
                    Response.ContentType = "application/octet-stream";
                    Response.WriteFile(file.FullName);
                    Response.End();
                }

                else
                {
                    Response.Write("This file does not exist.");
                }
            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }

    }

}
