﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmForumMasterStudent : System.Web.UI.Page
{
    Cls_ForumMasterStudent objforumMasterStudent = new Cls_ForumMasterStudent();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {                
                ShowDomainfieldId();                
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objforumMasterStudent.ForumName = txtforumMaster.Text;
            objforumMasterStudent.ForumDescription = txtDescription.Text;
            objforumMasterStudent.Domainfieldid = Convert.ToInt32(ddlDomainfieldId.SelectedValue);
            objforumMasterStudent.StudentId = Convert.ToInt32(Session["StudentId"]);
           int i= objforumMasterStudent.InsertForumMasterStudent();
           if (i > 0)
           {
               lblError.Text = "Recorded Inserted";
               Cleardata();
           }
           else
           {
               lblError.Text = "Recorded Not Inserted";
           }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    //public void Showstudentid()
    //{
    //    try
    //    {
    //        DataSet ds = objforumMasterStudent.ShowstudentId();
    //        if (ds.Tables[0].Rows.Count != 0)
    //        {
    //            ddlStudentId.DataSource = ds.Tables[0];
    //            ddlStudentId.DataTextField = "StudentFirstName";
    //            ddlStudentId.DataValueField = "StudentId";
    //            ddlStudentId.DataBind();

    //        }
    //        ddlStudentId.Items.Insert(0, "--Select One--");
    //    }
    //    catch (Exception ex)
    //    {
    //        lblError.Text = ex.Message;
    //    }
    //}

    public void ShowDomainfieldId()
    {
        try
        {
            Cls_StudentAchievementsMaster objStudentAchievementMaster = new Cls_StudentAchievementsMaster();
            DataSet ds = objStudentAchievementMaster.ShowDomainfieldidandMentoridSelectStudentid(Convert.ToInt32(Session["StudentId"]));
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlDomainfieldId.DataSource = ds.Tables[0];
                ddlDomainfieldId.DataTextField = "DomainfieldName";
                ddlDomainfieldId.DataValueField = "DomainfieldId";
                ddlDomainfieldId.DataBind();

            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Cleardata()
    {
        try
        {
            txtDescription.Text = "";
            txtforumMaster.Text = "";
            if (ddlDomainfieldId.SelectedIndex != 0)
                ddlDomainfieldId.SelectedIndex = 0;
            
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
}
