﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmStudentforumQuestion : System.Web.UI.Page
{
    Cls_StudentforumQuestion objforumQuestion = new Cls_StudentforumQuestion();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {

                DataSet ds = objforumQuestion.ShowFormIdSelectStudentId(Convert.ToInt32(Session["StudentId"]));
                if (ds.Tables[0].Rows.Count != 0)
                {
                    GridView1.DataSource = ds.Tables[0];
                    GridView1.DataBind();

                }
            }
        }

        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        try
        {
           
            lblForumIddisplay.Text = e.CommandArgument.ToString();
            DataSet ds = objforumQuestion.ShowFormIdSelect(Convert.ToInt32(lblForumIddisplay.Text));
            if (ds.Tables[0].Rows.Count != 0)
            {
                lblForumname.Text = ds.Tables[0].Rows[0][1].ToString();
            }

            Panel1.Visible = true;
            lblError.Text = "";

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objforumQuestion.QuestionName = txtQuestion.Text;
            objforumQuestion.ForumId = Convert.ToInt32(lblForumIddisplay.Text);
            objforumQuestion.StudentId = Convert.ToInt32(Session["StudentId"]);
            int i = objforumQuestion.InsertStudentForumQuestion();
            if (i > 0)
            {
                lblError.Text = "Recorded Inserted";
                Panel1.Visible = false;
                txtQuestion.Text = "";
            }
            else
            {
                lblError.Text = "Not Inserted";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
