﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class frmMentorsMaster : System.Web.UI.Page
{
    Cls_MentorMaster objmentormaster = new Cls_MentorMaster();
    string msg;
   
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                ShowCollegeid();
                ShowDomainfieldId();
            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objmentormaster.MentorFirstName = txtFirstName.Text.ToString();
            objmentormaster.MentorMiddleName = txtMiddleName.Text.ToString();
            objmentormaster.MentorLastName = txtLastName.Text.ToString();
            objmentormaster.MentorAddress = txtMentorAddress.Text;

            objmentormaster.Mentorphone = txtphoneno.Text;
            objmentormaster.MentorEmail = txtmentorEmail.Text.ToString();
            objmentormaster.CollegeId = Convert.ToInt32(ddlCollegeid.SelectedValue);
            objmentormaster.DomainfieldId = Convert.ToInt32(ddlDomainId.SelectedValue);
            if (Session["Mentorphoto"] != "")
            {
                objmentormaster.Mentorphoto = Session["Mentorphoto"].ToString();
            }
            else
            {
                objmentormaster.Mentorphoto = "~/Upload/Noimage.jpg";
            }
            objmentormaster.Password = txtPassword.Text;
            objmentormaster.DateOfBirth = Convert.ToDateTime(txtDateofBirth.Text);
            objmentormaster.Achievements = txtAchievement.Text;
            objmentormaster.UserName = txtUserName.Text;
            int j = 0;
            for (int i = 0; i < CheckBoxList1.Items.Count; i++)
            {

                if (CheckBoxList1.Items[i].Selected == true)
                {
                    j = j + 1;
                }

            }
            objmentormaster.MentorRating = Convert.ToInt32(j);
            int k = objmentormaster.Insertmentoring(out msg);
            if (k > 0)
            {
                ClearData();
                lblError.Text = msg;
               
            }
            else
            {
                lblError.Text = msg ;
            }
           
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ShowCollegeid()
    {
        try
        {
            DataSet ds = objmentormaster.GetCollegeId();

            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCollegeid.DataSource = ds.Tables[0];
                ddlCollegeid.DataValueField = "CollegeId";
                ddlCollegeid.DataTextField = "CollegeName";
                ddlCollegeid.DataBind();
                
            }
            ddlCollegeid.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    public void ShowDomainfieldId()
    {
        try
        {
            DataSet ds = objmentormaster.GetDomainfieldId();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlDomainId.DataSource = ds.Tables[0];
                ddlDomainId.DataValueField = "DomainfieldId";
                ddlDomainId.DataTextField = "DomainfieldName";
                ddlDomainId.DataBind();
                
            }
            ddlDomainId.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    
    }
    protected void btnCleat_Click(object sender, EventArgs e)
    {
        try
        {

            ClearData();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ClearData()
    {
        Session["Mentorphoto"] = "";
        txtConformPassword.Text = "";
        txtDateofBirth.Text = "";
        txtFirstName.Text = "";
        Fileupload1.ClearImage();
        txtLastName.Text = "";
        txtMiddleName.Text = "";
        txtPassword.Text = "";
        txtphoneno.Text = "";
        txtUserName.Text = "";
        txtMentorAddress.Text = "";
        txtmentorEmail.Text = "";
        txtAchievement.Text = "";
        for (int i = 0; i < CheckBoxList1.Items.Count; i++)
        {

            if (CheckBoxList1.Items[i].Selected == true  )
            {
                CheckBoxList1.Items[i].Selected = false;
            }

        }
        if (ddlCollegeid.SelectedIndex != 0)
            ddlCollegeid.SelectedIndex = 0;
        if (ddlDomainId.SelectedIndex != 0)
            ddlDomainId.SelectedIndex = 0;
        Session["Mentorphoto"] = "";
        lblError.Text = "";

    }

   
}
