﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class frmStudentMaster : System.Web.UI.Page
{
    Cls_StudentMaster objstudentmaster = new Cls_StudentMaster();
    string msg;
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                ShowCollegeid();
                ShowMentorId();
                ddlCourseId.Items.Insert(0, "--Select One--");
                Session["FileName"] = "";
            
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }

    private void ShowMentorId()
    {
        try
        {
            DataSet ds = objstudentmaster.GetMentorId();

            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlmentorName.DataSource = ds.Tables[0];
                ddlmentorName.DataValueField = "MentorId";
                ddlmentorName.DataTextField = "MentorFirstName";
                ddlmentorName.DataBind();
            }
            ddlmentorName.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objstudentmaster.StudentFirstName = txtFirstName.Text.ToString();
            objstudentmaster.StudentMiddleName = txtMiddleName.Text.ToString();
            objstudentmaster.StudentLastName = txtLastName.Text.ToString();
            objstudentmaster.StudentAddress = txtStudentAddress.Text;
            objstudentmaster.StudentPhoneno = txtphoneno.Text;
            objstudentmaster.StudentEmail = txtStudentEmail.Text;
            if (Session["FileName"] != "")
            {
                objstudentmaster.StudentPhoto = Session["FileName"].ToString();
            }
            else
            {
                objstudentmaster.StudentPhoto = "~/Images/NoImage.jpg";
            }
            objstudentmaster.Collegeid = Convert.ToInt32(ddlCollegeid.SelectedValue);
            objstudentmaster.Courseid = Convert.ToInt32(ddlCourseId.SelectedValue);
            objstudentmaster.Password = txtPassword.Text;
            objstudentmaster.DateOfBirth = Convert.ToDateTime(txtDateofBirth.Text);
            objstudentmaster.UserName = txtUserName.Text;
            objstudentmaster.Mentorid = Convert.ToInt32(ddlmentorName.SelectedValue);
           
           int i= objstudentmaster.InsertstudentMaster(out msg);
           if (i > 0)
           {
               
               ClearData();
               lblError.Text = msg;
           }
           else 
           {
               lblError.Text = msg;
           }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
    }
    protected void btnCleat_Click(object sender, EventArgs e)
    {
        ClearData();
    }
    public void ShowCollegeid()
    {
        try
        {
            DataSet ds = objstudentmaster.GetCollegeId();

            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCollegeid.DataSource = ds.Tables[0];
                ddlCollegeid.DataValueField = "CollegeId";
                ddlCollegeid.DataTextField = "CollegeName";
                ddlCollegeid.DataBind();
            }
            ddlCollegeid.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void ddlCollegeid_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlCollegeid.SelectedIndex != 0)
            {
                int CollId = Convert.ToInt32(ddlCollegeid.SelectedValue);
                DataSet ds = objstudentmaster.GetCollegeIdSelect(CollId);
                if (ds.Tables[0].Rows.Count != 0)
                {
                    ddlCourseId.DataSource = ds.Tables[0];
                    ddlCourseId.DataValueField = "CourseID";
                    ddlCourseId.DataTextField = "CourseName";
                    ddlCourseId.DataBind();
                    ddlCourseId.Items.Insert(0, "--Select One--");
                }
                else
                {
                    ddlCourseId.Items.Clear();
                    ddlCourseId.Items.Insert(0, "--Select One--");
                }
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ClearData()
    {
        lblError.Text = "";
        txtConformPassword.Text = "";
        txtDateofBirth.Text = "";
        txtFirstName.Text = "";
        txtLastName.Text = "";
        Fileupload1.ClearImage();
        txtMiddleName.Text = "";
        txtPassword.Text = "";
        txtphoneno.Text = "";
        txtStudentAddress.Text = "";
        txtStudentEmail.Text = "";
        txtUserName.Text = "";
        if (ddlCollegeid.SelectedIndex  != 0)
            ddlCollegeid.SelectedIndex = 0;
        if (ddlCourseId.SelectedIndex !=0)
            ddlCourseId.SelectedIndex = 0;
        Session["FileName"] = "";
        if (ddlmentorName.SelectedIndex != 0)
            ddlmentorName.SelectedIndex = 0;
    
    }
}
