﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmAddMentorAnswers : System.Web.UI.Page
{
    Cls_ForumMentorAnswers objmentoranswers = new Cls_ForumMentorAnswers();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)

            {
               
                if (Request["id"] != null)
                {
                    string id = Request["id"].ToString();
                    DataSet ds = objmentoranswers.mentorQuestionShowid(Convert.ToInt32(id));

                    if (ds.Tables[0].Rows.Count != 0)
                    {
                        lblQuestion.Text = ds.Tables[0].Rows[0][1].ToString();
                    }
                    else
                    { }
                }
               
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        try
        {
            Response.Redirect("~/admin/frmMentorQuestionAnswersDisplay.aspx");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objmentoranswers.QuestionId = Convert.ToInt32(Request["id"]);
            objmentoranswers.Answerstext = txtAnswertext.Text;
            objmentoranswers.MentorId = Convert.ToInt32(Session["MentorId"]);
            int i = objmentoranswers.InsertAnswers();
            if (i > 0)
            {

                lblError.Text = "Recorded Inserted";
                Cleardata();
            }
            else
            {
                lblError.Text = "Not Inserted";
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
  
    public void Cleardata()
    {
      
        txtAnswertext.Text = "";
    
    }
}
