﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmCourseDomainfieldMaster : System.Web.UI.Page
{
    Cls_CourseDomainfieldMaster objcoursedomainfieldmaster = new Cls_CourseDomainfieldMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                ShowCourseid();
                ddldomainfieldid.Items.Insert(0, "--Select One--"); 

            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objcoursedomainfieldmaster.CourseId = Convert.ToInt32(ddlCourseid.SelectedValue);
            objcoursedomainfieldmaster.DomainfieldId = Convert.ToInt32(ddldomainfieldid.SelectedValue);
            if (ViewState["DomainfieldDetailsFile"] == "")
            {
                objcoursedomainfieldmaster.DomainfieldDetailsfile = ViewState["DomainfieldDetailsFile"].ToString();
            }
            else
            {
                objcoursedomainfieldmaster.DomainfieldDetailsfile = "";
            }
            int i = objcoursedomainfieldmaster.insertcoursedomainfieldmaster();
            if (i > 0)
            {
                cleardata();
                lblError.Text = "Recorded Inserted";
                
            }
            else
            { }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        cleardata();
    }
    protected void ddlCourseid_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlCourseid.SelectedIndex != 0)
            {
                ddldomainfieldid.Items.Clear();
                int CourseId = Convert.ToInt32(ddlCourseid.SelectedValue);
                DataSet ds = objcoursedomainfieldmaster.SelectCourseid(CourseId);
                if (ds.Tables[0].Rows.Count != 0)
                {
                    ddldomainfieldid.DataSource = ds.Tables[0];
                    ddldomainfieldid.DataValueField = "DomainfieldId";
                    ddldomainfieldid.DataTextField = "DomainfieldName";
                    ddldomainfieldid.DataBind();
                    ddldomainfieldid.Items.Insert(0, "--Select One--");
                    
                }
                else
                {
                    ddldomainfieldid.Items.Clear();
                    ddldomainfieldid.Items.Insert(0, "--Select One--");
                }
            }
            else
            {
                cleardata();
                ddldomainfieldid.Items.Clear();
                ddldomainfieldid.Items.Insert(0, "--Select One--");
                
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ShowCourseid()
    {
        try
        {
            
            DataSet ds = objcoursedomainfieldmaster.showcourseid();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCourseid.DataSource = ds.Tables[0];
                ddlCourseid.DataValueField = "CourseID";
                ddlCourseid.DataTextField = "CourseName";
                ddlCourseid.DataBind();
            }
            ddldomainfieldid.Items.Clear();
            ddlCourseid.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    
    }
    protected void btnAttach_Click(object sender, EventArgs e)
    {
        try
        {
            if (ViewState["DomainfieldDetailsFile"] == "")
            {
                string s = Server.MapPath("~/DomainfieldDetailsFile/" + FileUpload1.FileName);
                FileUpload1.SaveAs(s);
                ViewState["DomainfieldDetailsFile"] = "~/DomainfieldDetailsFile/" + FileUpload1.FileName;
            }
            else
            {
                ViewState["DomainfieldDetailsFile"] = "";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void cleardata()
    {
        try
        {
            lblError.Text = "";
            if (ddldomainfieldid.SelectedIndex != 0)
                ddldomainfieldid.SelectedIndex = 0;
            if (ddlCourseid.SelectedIndex  != 0)
                ddlCourseid.SelectedIndex = 0;
            ViewState["DomainfieldDetailsFile"] = "";
    
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
        }
      
    }

}
