﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmEditCollegesMaster : System.Web.UI.Page
{
    Cls_CollegesMaster objcollegesmaster = new Cls_CollegesMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                ShowCollegeid();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnupdate_Click(object sender, EventArgs e)
    {
        try
        {
            objcollegesmaster.CollegeId = Convert.ToInt32(ddlCollegeId.SelectedValue);
            objcollegesmaster.CollegeAddress = txtCollegeAddress.Text;
            objcollegesmaster.PhoneNo = txtPhoneNo.Text;
            objcollegesmaster.EmailId = txtEmail.Text;
            objcollegesmaster.Weblink = txtWeblink.Text;
            int i = objcollegesmaster.UpdateCollegeMaster();
            if (i > 0)
            {
                lblError.Text = "Recorded Is Modified";
                Cleardata();
            }
            else
            {
                lblError.Text = "No Change the Recorded";
            }
            
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnclear_Click(object sender, EventArgs e)
    {
        Cleardata();
        lblError.Text = "";
    }
    public void ShowCollegeid()
    {
        try
        {
            DataSet ds = objcollegesmaster.GetCollegeId();

            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlCollegeId.DataSource = ds.Tables[0];
                ddlCollegeId.DataValueField = "CollegeId";
                ddlCollegeId.DataTextField = "CollegeName";
                ddlCollegeId.DataBind();
            }
            ddlCollegeId.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    public void Cleardata()
    {
        txtEmail.Text = "";
        txtPhoneNo.Text = "";
        txtCollegeAddress.Text = "";
       
        txtWeblink.Text = "";
        txtUniversityName.Text = "";
        if (ddlCollegeId.SelectedIndex != 0)
            ddlCollegeId.SelectedIndex = 0;

    }
    protected void ddlCollegeId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlCollegeId.SelectedIndex != 0)
            {
                int collegeid1 = Convert.ToInt32(ddlCollegeId.SelectedValue);
                DataSet ds = objcollegesmaster.GetCollegeIdSelect(collegeid1);
                if (ds.Tables[0].Rows.Count != 0)
                {
                    DataTable dt = ds.Tables[0];
                    txtCollegeAddress.Text = dt.Rows[0][2].ToString();
                    txtPhoneNo.Text = dt.Rows[0][3].ToString();
                    txtEmail.Text = dt.Rows[0][4].ToString();
                    txtWeblink.Text = dt.Rows[0][5].ToString();
                    txtUniversityName.Text = dt.Rows[0][7].ToString();
                    lblError.Text = "";

                }
            }
            else
            {
                Cleardata();
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }


    }
}
