﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmEditUniversityMaster : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                ShowUniversityId();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    Cls_UniversitiesMaster objuniversitiesmaster = new Cls_UniversitiesMaster();
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            objuniversitiesmaster.UniversityId = Convert.ToInt32(ddluniversityid.SelectedValue);
            objuniversitiesmaster.UniversityAddress = txtUniversityAddress.Text;
            objuniversitiesmaster.PhoneNo = txtPhoneNo.Text;
            objuniversitiesmaster.Email = txtEmail.Text;
            objuniversitiesmaster.Weblink = txtWeblink.Text;
            
            int i = objuniversitiesmaster.UpdateUniversitesMaster();
            if (i > 0)
            {
                lblError.Text = "Recorded Is Modified";
                Cleardata();
            }
            else
            {
                lblError.Text = "try Again......";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Cleardata();
        lblError.Text = "";
    }
    public void Cleardata()
    {
        txtEmail.Text = "";
        txtPhoneNo.Text = "";
        txtUniversityAddress.Text = "";
        txtCountryName.Text = "";
        txtWeblink.Text = "";
       
        if (ddluniversityid.SelectedIndex != 0)
            ddluniversityid.SelectedIndex = 0;

    }
    public void ShowUniversityId()
    {
        try
        {
            DataSet ds = objuniversitiesmaster.ShowUniversityId();
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddluniversityid.DataSource = ds.Tables[0];
                ddluniversityid.DataValueField = "UniversityId";
                ddluniversityid.DataTextField = "UniversityName";
                ddluniversityid.DataBind();
                ddluniversityid.Items.Insert(0, "--Select One--");
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
        
    }
    protected void ddluniversityid_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        { int universityid=Convert.ToInt32(ddluniversityid.SelectedValue);
            DataSet ds=objuniversitiesmaster.selectUniversityid(universityid);
            if (ds.Tables[0].Rows.Count != 0)
            { 
                DataTable dt=ds.Tables[0];
               
                txtUniversityAddress.Text = dt.Rows[0][1].ToString();
                txtPhoneNo.Text = dt.Rows[0][2].ToString();
                txtEmail.Text = dt.Rows[0][3].ToString();
                txtWeblink.Text = dt.Rows[0][4].ToString();
                
                txtCountryName.Text = dt.Rows[0][6].ToString();

                lblError.Text = "";
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
