﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_CollegeCourseMaster
/// </summary>
public class Cls_CollegeCourseMaster
{
    public static DataSet ds;
    private int collegeId;
    private int courseId;
    private string courseDetailsFile;

    // constructor
    public Cls_CollegeCourseMaster()
    {
    }
    public int InsertCollegeCourseMaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[3];
            p[0] = new SqlParameter("@CollegeId ", CollegeId);
            p[1] = new SqlParameter("@CourseId ", CourseId);
            p[2] = new SqlParameter("@CourseDetailsFile ", CourseDetailsFile);
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegeCourseMaster_Insert", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }


    }
    public DataSet GetCollegeId()
    {
        try
        {

            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesMaster_Select");
            return ds;

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet GetCollegeIdSelect(int ColleId)
    {
        try
        {
            SqlParameter p = new SqlParameter("@CollegeId", ColleId);
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegeidAndCourseId_Select", p);
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }



    }
    public int CollegeId { get { return collegeId; } set { collegeId = value; } }
    public int CourseId { get { return courseId; } set { courseId = value; } }
    public string CourseDetailsFile { get { return courseDetailsFile; } set { courseDetailsFile = value; } }
}
