﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_CourseDomainfieldmaster
/// </summary>
public class Cls_CourseDomainfieldMaster
{
    public static DataSet ds;
    private int courseId;
    private int domainfieldId;
    private string domainfieldDetailsfile;

    // constructor
    public Cls_CourseDomainfieldMaster()
    {
    }
    public DataSet  showcourseid()
    {
        try
        {
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CoursesMaster_Select");
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet  SelectCourseid(int coursid1)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@Courseid", coursid1);
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CourseidAnddomainfieldId", p);
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
       
    
    }
    public int insertcoursedomainfieldmaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[3];
            p[0] = new SqlParameter("@CourseId", CourseId);
            p[1] = new SqlParameter("@DomainfieldId", DomainfieldId);
            p[2] = new SqlParameter("@DomainfieldDetailsfile", DomainfieldDetailsfile);
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CourseDomainfieldMaster_Insert", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

        
   
    
    }

    public int CourseId { get { return courseId; } set { courseId = value; } }
    public int DomainfieldId { get { return domainfieldId; } set { domainfieldId = value; } }
    public string DomainfieldDetailsfile { get { return domainfieldDetailsfile; } set { domainfieldDetailsfile = value; } }
}
