﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_CourseMaster
/// </summary>
public class Cls_CoursesMaster
{
    public static DataSet ds;
    private int courseID;
    private string courseName;
    private string courseDesc;
    private string courseAbbr;
    private int domainId;

    // constructor
    public Cls_CoursesMaster()
    {
    }
    public int InsertCourseMaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[4];
            p[0] = new SqlParameter("@CourseName", CourseName);
            p[1] = new SqlParameter("@CourseDesc", CourseDesc);
            p[2] = new SqlParameter("@CourseAbbr", CourseAbbr);
            p[3] = new SqlParameter("@DomainId", DomainId);
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CoursesMaster_Insert", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }


    }
    public DataSet showDomainId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }


    }
    public int CourseID { get { return courseID; } set { courseID = value; } }
    public string CourseName { get { return courseName; } set { courseName = value; } }
    public string CourseDesc { get { return courseDesc; } set { courseDesc = value; } }
    public string CourseAbbr { get { return courseAbbr; } set { courseAbbr = value; } }
    public int DomainId { get { return domainId; } set { domainId = value; } }
}