﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_DomainFieldMaster
/// </summary>
public class Cls_DomainfieldMaster
{
    public static DataSet ds;
    private int domainfieldId;
    private string domainfieldName;
    private string domainfieldAbbr;
    private string domainfieldDesc;
    private int domainId;

    // constructor
    public Cls_DomainfieldMaster()
    {
    }

    public int DomainfieldId { get { return domainfieldId; } set { domainfieldId = value; } }
    public string DomainfieldName { get { return domainfieldName; } set { domainfieldName = value; } }
    public string DomainfieldAbbr { get { return domainfieldAbbr; } set { domainfieldAbbr = value; } }
    public string DomainfieldDesc { get { return domainfieldDesc; } set { domainfieldDesc = value; } }
    public int DomainId { get { return domainId; } set { domainId = value; } }
    public int InsertDomainfieldMaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[4];
            p[0]=new SqlParameter("@DomainfieldName",DomainfieldName);
            p[1]=new SqlParameter("@DomainfieldAbbr",DomainfieldAbbr);
            p[2]=new SqlParameter("@DomainfieldDesc",DomainfieldDesc);
            p[3] = new SqlParameter("@DomainId", DomainId);
            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMaster_Insert", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    
    }
    public DataSet showDomainId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    
    }

    public static DataSet ShowDomainfieldDetails()
    {
        try
        {
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.Text, "Select * from tbl_DomainfieldMaster");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet ShowDomainfieldDetailsIdselect(int Id)
    {
        try
        {
            SqlParameter p = new SqlParameter("@domainfieldid", Id);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldIdselect1",p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }

    public int updataDomainfieldMaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[3];
            p[0] = new SqlParameter("@DomainfieldId", DomainfieldId);
            p[1] = new SqlParameter("@DomainfieldAbbr", DomainfieldAbbr);
            p[2] = new SqlParameter("@DomainfieldDesc", DomainfieldDesc);

            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_updatedomainfield", p);
            return i;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
}
