﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_EqtestMaster
/// </summary>
public class Cls_EqtestMaster
{

    private int eqtestId;
    private string eqtestporteddate;
    private int mentorId;
    private string testDescription;
    private string remarksByMentor;
    private int noOfQuestions;

    // constructor
    public Cls_EqtestMaster()
    {
    }
    public int insertEqtestMaster()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[5];
            p[0]=new SqlParameter("@MentorId",MentorId);
            p[1]=new SqlParameter("@testDescription",testDescription);
            p[2] = new SqlParameter("@NoOfQuestions", NoOfQuestions);
            p[3] = new SqlParameter("@RemarksByMentor", RemarksByMentor);
            p[4] = new SqlParameter("@EqtestId",SqlDbType.BigInt);

            p[4].Direction = ParameterDirection.Output;

             SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_EqtestMaster_Insert", p);

             return Convert.ToInt32(  p[4].Value);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }

    public int EqtestId { get { return eqtestId; } set { eqtestId = value; } }
    public string Eqtestporteddate { get { return eqtestporteddate; } set { eqtestporteddate = value; } }
    public int MentorId { get { return mentorId; } set { mentorId = value; } }
    public string TestDescription { get { return testDescription; } set { testDescription = value; } }
    public string RemarksByMentor { get { return remarksByMentor; } set { remarksByMentor = value; } }
    public int NoOfQuestions { get { return noOfQuestions; } set { noOfQuestions = value; } }
}
