﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_ForumMasterStudent
/// </summary>
public class Cls_ForumMasterStudent
{
    public static DataSet ds;
    private int forumId;
    private string forumName;
    private string forumCreatedDate;
    private string forumDescription;
    private int domainfieldid;
    private int studentId;

    // constructor
    public Cls_ForumMasterStudent()
    {
    }
    public DataSet ShowstudentId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_StudentMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet ShowDomainfieldId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public int InsertForumMasterStudent()
    {
        try
        {
            SqlParameter[]p=new SqlParameter [4];
            p[0]=new SqlParameter("@ForumName",ForumName);
            p[1]=new SqlParameter("@ForumDescription ",ForumDescription);
            p[2]=new SqlParameter("@Domainfieldid ",Domainfieldid);
            p[3]=new SqlParameter("@StudentId",StudentId);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_ForumMasterStudent_Insert", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }

    
    public int ForumId { get { return forumId; } set { forumId = value; } }
    public string ForumName { get { return forumName; } set { forumName = value; } }
    public string ForumCreatedDate { get { return forumCreatedDate; } set { forumCreatedDate = value; } }
    public string ForumDescription { get { return forumDescription; } set { forumDescription = value; } }
    public int Domainfieldid { get { return domainfieldid; } set { domainfieldid = value; } }
    public int StudentId { get { return studentId; } set { studentId = value; } }
}
