﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_StudentforumQuestions
/// </summary>
public class Cls_StudentforumQuestion
{

    private int questionId;
    private string questionName;
    private int forumId;
    private string dateproted;
    private int studentId;

    // constructor
    public Cls_StudentforumQuestion()
    {
    }
    public DataSet ShowFormName()
    {
        try
        {
            DataSet ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_forumMasterstudent_Selectjoin");
 
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet ShowFormIdSelectStudentId(int StudentID)
    {
        try
        {
            DataSet ds = new DataSet();
            SqlParameter p = new SqlParameter("@StudentId", StudentID);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_forumMasterStudent_SelectStudentid", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet ShowFormIdSelect(int forumid)
    {
        try
        {
            DataSet ds = new DataSet();
            SqlParameter p = new SqlParameter("@forumStudentid", forumid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_forumMasterStudentID_Select", p);

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public int InsertStudentForumQuestion()
    {

        try
        {
            SqlParameter[]p=new SqlParameter[3];
            p[0]=new SqlParameter("@QuestionName",QuestionName);
            p[1]=new SqlParameter("@ForumId",ForumId);
            p[2] = new SqlParameter("@StudentId", StudentId);
                return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString,CommandType.StoredProcedure,"Sp_StudentforumQuestion_Insert",p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }

    public int QuestionId { get { return questionId; } set { questionId = value; } }
    public string QuestionName { get { return questionName; } set { questionName = value; } }
    public int ForumId { get { return forumId; } set { forumId = value; } }
    public string Dateproted { get { return dateproted; } set { dateproted = value; } }
    public int StudentId { get { return studentId; } set { studentId = value; } }
}
