﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_StudentsMaster
/// </summary>
public class Cls_StudentMaster
{
    public static DataSet ds;
    private int studentId;
    private string studentFirstName;
    private string studentMiddleName;
    private string studentLastName;
    private string studentAddress;
    private string studentPhoneno;
    private string studentEmail;
    private string studentPhoto;
    private int collegeid;
    private int courseid;
    private string password;
    private DateTime  dateofRegistration;
    private DateTime dateOfBirth;
    private string username;
    private int mentorid;

    // constructor
    public Cls_StudentMaster()
    {
    }
    public int InsertstudentMaster(out string msg)
    {
        try
        {
            SqlParameter[] p = new SqlParameter[14];
            p[0] = new SqlParameter("@StudentFirstName", StudentFirstName);
            p[1] = new SqlParameter("@StudentMiddleName", StudentMiddleName);
            p[2] = new SqlParameter("@StudentLastName", StudentLastName);
            p[3] = new SqlParameter("@StudentAddress", StudentAddress);
            p[4] = new SqlParameter("@StudentPhoneno", StudentPhoneno);
            p[5] = new SqlParameter("@StudentEmail", StudentEmail);
            p[6] = new SqlParameter("@StudentPhoto", StudentPhoto);
            p[7] = new SqlParameter("@Collegeid", Collegeid);
            p[8] = new SqlParameter("@Courseid", Courseid);
            p[9] = new SqlParameter("@Password", Password);
            p[10] = new SqlParameter("@DateOfBirth", DateOfBirth);
            p[11] = new SqlParameter("@Username", UserName);
            p[12] = new SqlParameter("@Outmsg", SqlDbType.VarChar, 50);
            p[12].Direction = ParameterDirection.Output;
            p[13]=new SqlParameter("@MentorId",Mentorid); 

            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_StudentMaster_Insert", p);

            msg = Convert.ToString(p[12].Value);
            return i;

    
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
      
    }
    public DataSet GetCollegeId()
    {
        try
        {

            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegesMaster_Select");
            return ds;

        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet GetCollegeIdSelect(int ColleId)
    {
        try
        {
            SqlParameter p = new SqlParameter("@CollegeId", ColleId);
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_CollegeCourseMaster_Select", p);
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }



    }
    public DataSet GetstudentfirstName()
    {
        try
        {
            ds = new DataSet();
           return  SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_StudentMaster_Select");

        }
        catch (Exception ex)
        {

            throw new Exception(ex.Message);
        }
    
    
    }

    public DataSet GetstudentfirstNameselect(int StudentNo)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@StudentId",StudentNo);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_StudentMaster_SelectId", p);

        }
        catch (Exception ex)
        {

            throw new Exception(ex.Message);
        }


    }
    public int updatestudentmaster()
    {
        try
        {
           SqlParameter[] p = new SqlParameter[8];
           p[0] = new SqlParameter("@StudentId", StudentId);
            p[1] = new SqlParameter("@StudentFirstName", StudentFirstName);
            p[2] = new SqlParameter("@StudentMiddleName", StudentMiddleName);
            p[3] = new SqlParameter("@StudentLastName", StudentLastName);
            p[4] = new SqlParameter("@StudentAddress", StudentAddress);
            p[5] = new SqlParameter("@StudentPhoneno", StudentPhoneno);
            p[6] = new SqlParameter("@StudentEmail", StudentEmail);
            p[7] = new SqlParameter("@StudentPhoto", StudentPhoto);
           
           

            int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_StudentMaster_Update", p);
            
       
            return i;
    
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public int Mentorid { get { return mentorid; } set { mentorid = value; } }
    public int StudentId { get { return studentId; } set { studentId = value; } }
    public string StudentFirstName { get { return studentFirstName; } set { studentFirstName = value; } }
    public string StudentMiddleName { get { return studentMiddleName; } set { studentMiddleName = value; } }
    public string StudentLastName { get { return studentLastName; } set { studentLastName = value; } }
    public string StudentAddress { get { return studentAddress; } set { studentAddress = value; } }
    public string StudentPhoneno { get { return studentPhoneno; } set { studentPhoneno = value; } }
    public string StudentEmail { get { return studentEmail; } set { studentEmail = value; } }
    public string StudentPhoto { get { return studentPhoto; } set { studentPhoto = value; } }
    public int Collegeid { get { return collegeid; } set { collegeid = value; } }
    public int Courseid { get { return courseid; } set { courseid = value; } }
    public string Password { get { return password; } set { password = value; } }
    public string UserName { get { return username; } set { username = value; } }
    public DateTime DateofRegistration { get { return dateofRegistration; } set { dateofRegistration = value; } }
    public DateTime DateOfBirth { get { return dateOfBirth; } set { dateOfBirth = value; } }


    public DataSet GetMentorId()
    {
        try
        {
            ds = new DataSet();
            ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.Text, "Select * from tbl_MentorMaster");
            return ds;
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
      
    }
}
