﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_UniversityCertification
/// </summary>
public class Cls_UniversityCertification {
    public static DataSet ds;
		private int universityId;
		private int certificationId;
		private string dateofCertification;
		private string currentStatus;

		// constructor
		public Cls_UniversityCertification () {
		}
        public DataSet ShowUniversityId()
        {
            try
            {

                ds = new DataSet();
               return  SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversitiesMaster_Select");
             
            }
            catch (Exception ex)
            {

                throw new ArgumentException(ex.Message);
            }
        }
        public DataSet ShowSelectUniversityId(int Universid)
        {
            try
            {
                SqlParameter p = new SqlParameter("@UniversityId", Universid);
                ds = new DataSet();
                ds = SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversityAndCertificationId_Select", p);
                return ds;
            }
            catch (Exception ex)
            {

                throw new ArgumentException(ex.Message);
            }

           
        }
        public int insertUniversityCertification()
        {
            try
            {
                SqlParameter[] p = new SqlParameter[3];
                p[0] = new SqlParameter("@UniversityId", UniversityId);
                p[1] = new SqlParameter("@CertificationId", CertificationId);
                p[2] = new SqlParameter("@CurrentStatus", CurrentStatus);
                int i = SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_UniversityCertification_Insert", p);
                return i;
            }
            catch (Exception ex) 
            {

                throw new ArgumentException(ex.Message);
            }
      
        
        }

		public int UniversityId {get {return universityId;} set {universityId = value;}}
		public int CertificationId {get {return certificationId;} set {certificationId = value;}}
		public string DateofCertification {get {return dateofCertification;} set {dateofCertification = value;}}
		public string CurrentStatus {get {return currentStatus;} set {currentStatus = value;}}
	}

