﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;
/// <summary>
/// Summary description for Cls_studentAchievementsMaster
/// </summary>
public class Cls_StudentAchievementsMaster
{
    public static DataSet ds;
    private int studentAchieveMentId;
    private string studentAchievementDescription;
    private string photographyforSupport;
    private string videofile;
    private int domainfieldid;
    private string dateOfRegistor;
    private string studentComments;
    private int mentorId;
    private string mentorComments;
    private int studentId;

    // constructor
    public Cls_StudentAchievementsMaster()
    {
    }

    public int InsertStudentAchievementmaster()
    {
        try
        {
            SqlParameter[]p=new SqlParameter [8];
            p[0]=new SqlParameter ("@StudentAchievementDescription",StudentAchievementDescription);
            p[1]=new SqlParameter("@PhotographyforSupport",PhotographyforSupport);
            p[2]=new SqlParameter("@Videofile",Videofile);
            p[3]=new SqlParameter("@Domainfieldid",Domainfieldid);
            p[4]=new SqlParameter("@StudentComments",StudentComments);
            p[5]=new SqlParameter("@MentorId",MentorId);
            p[6]=new SqlParameter("@MentorComments",MentorComments);
            p[7]=new SqlParameter("@StudentId",StudentId);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString,CommandType.StoredProcedure,"Sp_StudentAchievementsMaster_Insert",p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowMentorId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_MentorMaster_Select_All");

           
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet ShowstudentId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_StudentMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public DataSet ShowDomainfieldidandMentoridSelectStudentid(int studentid1)
    {
        try
        {
            ds = new DataSet();
            SqlParameter p = new SqlParameter("@StudentId", studentid1);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_ShowDomainfieldsandMentorNameSelectStudentId", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet ShowDomainfieldId()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_DomainfieldMaster_Select");
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public int StudentAchieveMentId { get { return studentAchieveMentId; } set { studentAchieveMentId = value; } }
    public string StudentAchievementDescription { get { return studentAchievementDescription; } set { studentAchievementDescription = value; } }
    public string PhotographyforSupport { get { return photographyforSupport; } set { photographyforSupport = value; } }
    public string Videofile { get { return videofile; } set { videofile = value; } }
    public int Domainfieldid { get { return domainfieldid; } set { domainfieldid = value; } }
    public string DateOfRegistor { get { return dateOfRegistor; } set { dateOfRegistor = value; } }
    public string StudentComments { get { return studentComments; } set { studentComments = value; } }
    public int MentorId { get { return mentorId; } set { mentorId = value; } }
    public string MentorComments { get { return mentorComments; } set { mentorComments = value; } }
    public int StudentId { get { return studentId; } set { studentId = value; } }

    public int updateStudentAchievments()
    {
        try
        {
            SqlParameter []p=new SqlParameter[2];
            p[0]=new SqlParameter("@Achievementid",StudentAchieveMentId);
            
            p[1]=new SqlParameter("@mentorcomments",MentorComments);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString,CommandType.StoredProcedure,"Sp_updateStudentAchievements",p);


        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }

    public static DataSet SelectDomainid(int p)
    {
        try
        {
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.Text, "select mentorid,MentorFirstName from tbl_MentorMaster where DomainfieldId=" + p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    }
}