﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using EMentoringForWomen;

/// <summary>
/// Summary description for Cls_tutorialFeedBackMaster
/// </summary>
public class Cls_TutorialFeedBackMaster
{
    public static DataSet ds;
    private int feedBackId;
    private int tutorialId;
    private int studentId;
    private string feedBackText;
    private int rating;

    // constructor
    public Cls_TutorialFeedBackMaster()
    {
    }
    public DataSet tutorialid_select()
    {
        try
        {
            ds = new DataSet();
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_TutorialMaster_Select");


        }
        catch (Exception ex)
        {

            throw new Exception(ex.Message);
        }
    }

    public DataSet tutorialid_selectidStuentWise(int Studentid)
    {
        try
        {

            ds = new DataSet();
            SqlParameter p = new SqlParameter("@StudentId", Studentid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_TutorialMaster_SelectStudentid", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }

    }
    public DataSet tutorialid_selectid(int tutorid)
    {
        try
        {

            ds = new DataSet();
            SqlParameter p = new SqlParameter("@TutorialId", tutorid);
            return SqlHelper.ExecuteDataset(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_TutorialMaster_SelectId",p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }

    public int Inserttutorialfeedbackmaster()
    {

        try
        {
            SqlParameter[] p=new SqlParameter[4];
            p[0]=new SqlParameter("@TutorialId",TutorialId);
            p[1]=new SqlParameter("@StudentId",StudentId);
            p[2] = new SqlParameter("@FeedBackText", FeedBackText);
            p[3] = new SqlParameter("@Rating", Rating);
            return SqlHelper.ExecuteNonQuery(Cls_Connection.ConnectionString, CommandType.StoredProcedure, "Sp_TutorialFeedBackMaster_Insert", p);
        }
        catch (Exception ex)
        {

            throw new ArgumentException(ex.Message);
        }
    
    }
    public int FeedBackId { get { return feedBackId; } set { feedBackId = value; } }
    public int TutorialId { get { return tutorialId; } set { tutorialId = value; } }
    public int StudentId { get { return studentId; } set { studentId = value; } }
    public string FeedBackText { get { return feedBackText; } set { feedBackText = value; } }
    public int Rating { get { return rating; } set { rating = value; } }
}
