﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Login : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string url = Request.Url.ToString();
        string[] split = url.Split('/');
        for (int i = 0; i < split.Length; i++)
        {
            if (split[i] == "Admin")
            {
                lblLogin.Text = "Admin Login";
            }
            else if (split[i] == "Mentor")
            {
                lblLogin.Text = "Mentor Login";
            }
            else if (split[i] == "Student")
            {
                lblLogin.Text = "Student Login";
            }
            if (Session["AdminId"] != null)
            {
                FormsAuthentication.SignOut();
            }
          else  if (Session["MentorId"] != null)
            {
                FormsAuthentication.SignOut();
            }
            else if (Session["StudentId"] != null)
            {
                FormsAuthentication.SignOut();
            }
            

        }
    }

    clsLogin objLogin = new clsLogin();

    protected void btnLogin_Click(object sender, EventArgs e)
    {
        string str1 = null;
        string[] LoginName = null;
        try
        {
            if (txtUsername.Text.Contains("@"))
            {
                string str = txtUsername.Text;
                LoginName = str.Split('@');
                clsLogin.LoginName = LoginName[0].ToString();
                str1 = LoginName[0].ToString();
            }
            else
            {
                clsLogin.LoginName = txtUsername.Text.Trim();
                str1 = txtUsername.Text.Trim();
            }
            clsLogin.Password = txtPassword.Text.Trim();
            int Id;
            string Role = objLogin.GetUserLogin(out Id);

            if (Role == "NoUser")
                lblMsg.Text = "User Name and password mismatch. Try again.";
            else
            {
                if (Role.ToUpper() == "ADMIN")
                {
                    Session["UserName"] = str1;
                    Session["AdminId"] = Id;
                    Session["UserType"] = "Admin";
                    FormsAuthentication.RedirectFromLoginPage("Admin", false);
                }
                else if (Role.ToUpper() == "MENTOR")
                {
                    Session["UserName"] = str1;
                    Session["MentorId"] = Id;
                    clsLogin.ActiveFacultyOnlineStatus(Id);
                    Session["UserType"] = "Mentor";
                    FormsAuthentication.RedirectFromLoginPage("Mentor", false);
                }
                else if (Role.ToUpper() == "STUDENT")
                {
                    Session["UserName"] = str1;
                    Session["StudentId"] = Id;
                    clsLogin.ActiveStudentOnlineStatus(Id);
                    Session["UserType"] = "Student";
                    FormsAuthentication.RedirectFromLoginPage("Student", false);
                }
                else
                    lblMsg.Text = "Login Failed for this User";
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }
    }
}
