﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class frmEditMentorMaster : System.Web.UI.Page
{
    Cls_MentorMaster objmentormaster = new Cls_MentorMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                
                DataSet ds = objmentormaster.showSelectmentorid(Convert.ToInt32(Session["MentorId"]));
                if (ds.Tables[0].Rows.Count != 0)
                {
                    DataTable dt = ds.Tables[0];
                    txtFirstName.Text = dt.Rows[0][0].ToString();
                    txtMiddleName.Text = dt.Rows[0][1].ToString();
                    txtLastName.Text = dt.Rows[0][2].ToString();
                    txtMentorAddress.Text = dt.Rows[0][3].ToString();
                    txtphoneno.Text = dt.Rows[0][4].ToString();
                    txtmentorEmail.Text = dt.Rows[0][5].ToString();
                    Fileupload1.Image = dt.Rows[0][6].ToString();
                    ViewState["Mentorphoto"] = dt.Rows[0][6].ToString();
                    txtCollegeName.Text = dt.Rows[0][7].ToString();
                    txtDomainfieldName.Text = dt.Rows[0][8].ToString();
                    Fileupload1.loadimage();
                    txtAchievement.Text = dt.Rows[0][11].ToString();
                    int j = Convert.ToInt32(dt.Rows[0][12]);
                    for (int i = 0; i < j; i++)
                    {
                        CheckBoxList1.Items[i].Selected = true;
                    }

                }
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnModify_Click(object sender, EventArgs e)
    {
        try
        {
            objmentormaster.MentorId = Convert.ToInt32(Convert.ToInt32(Session["MentorId"]));
            objmentormaster.MentorFirstName = txtFirstName.Text.ToString();
            objmentormaster.MentorMiddleName = txtMiddleName.Text.ToString();
            objmentormaster.MentorLastName = txtLastName.Text.ToString();
            objmentormaster.MentorAddress = txtMentorAddress.Text;

            objmentormaster.Mentorphone = txtphoneno.Text;
            objmentormaster.MentorEmail = txtmentorEmail.Text.ToString();

            if (Session["Mentorphoto"]!= null && Session["Mentorphoto"].ToString() != "")
                objmentormaster.Mentorphoto = Session["Mentorphoto"].ToString();
            else
            {
                objmentormaster.Mentorphoto = ViewState["Mentorphoto"].ToString();
            }
           
          objmentormaster.Achievements = txtAchievement.Text;
            int j = 0;
            for (int i = 0; i < CheckBoxList1.Items.Count; i++)
            {

                if (CheckBoxList1.Items[i].Selected == true)
                {
                    j = j + 1;
                }
                
            }
            objmentormaster.MentorRating = Convert.ToInt32(j);
            int k = objmentormaster.Updatementoringmaster();
            if (k > 0)
            {
                lblError.Text = "Recorded Modified";
                ClearData();
            }
            else
            {
                lblError.Text = "No record";
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {

            ClearData();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    public void ClearData()
    {
        Session["Mentorphoto"] = "";
       
        txtAchievement.Text = "";
        txtFirstName.Text = "";
        Fileupload1.ClearImage();
        txtLastName.Text = "";
        txtMiddleName.Text = "";
      
        txtphoneno.Text = "";
        txtMentorAddress.Text = "";
        txtmentorEmail.Text = "";
        for (int i = 0; i < CheckBoxList1.Items.Count; i++)
        {

            if (CheckBoxList1.Items[i].Selected == true)
            {
                CheckBoxList1.Items[i].Selected = false;
            }

        }
       
        Session["Mentorphoto"] = "";
        ViewState["Mentorphoto"] = "";

    }
}
