﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmTutorialMaster : System.Web.UI.Page
{
    Cls_TutorialMaster objtutorialmaster = new Cls_TutorialMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (IsPostBack)
            {
               
                
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    protected void btnAttach_Click(object sender, EventArgs e)
    {
        try
        {
            ViewState["DocumentFiles"] = "~/DocumentFiles/" + fileuploadtutorialfile.FileName;
            if (fileuploadtutorialfile.FileName != "")
            {
                fileuploadtutorialfile.SaveAs(Server.MapPath("~/DocumentFiles/" + fileuploadtutorialfile.FileName));
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            DataSet  ds=objtutorialmaster.SelectMentoridShowDomainfielid(Convert.ToInt32(Session["MentorId"]));
            if(ds.Tables[0].Rows.Count!=0)
            {
                objtutorialmaster.Domainfieldid =Convert.ToInt32( ds.Tables[0].Rows[0][0]);
            }
            objtutorialmaster.TutorialName = txttutorialName.Text;
            objtutorialmaster.MentorId =Convert.ToInt32( Session["MentorId"]);
            if (ViewState["DocumentFiles"] != null)
            {
                objtutorialmaster.Tutorialfile = ViewState["DocumentFiles"].ToString();
            }
            else
            {
                objtutorialmaster.Tutorialfile = "";
            }
            objtutorialmaster.TutorialAccessCounter=txtAccessCounter.Text;
            int i = objtutorialmaster.InsertTutorialMaster();
            if (i > 0)
            {
                lblError.Text = "Recorded Inserted";
                Cleardata();
            }
            else {

                lblError.Text = "Recorded Not inserted";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Cleardata()
    {
        txtAccessCounter.Text = "";
        txttutorialName.Text = "";
        ViewState["DocumentFiles"] = null;
    
    }
}
