﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmAddStudentAnswers : System.Web.UI.Page
{
    Cls_ForumStudentAnswers objStudentAnswers = new Cls_ForumStudentAnswers();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {              

                if (Request["id"] != null)
                {
                    string id = Request["id"].ToString();
                    DataSet ds = objStudentAnswers.StudentQuestionShowid(Convert.ToInt32(id));

                    if (ds.Tables[0].Rows.Count != 0)
                    {
                        lblQuestion.Text = ds.Tables[0].Rows[0][1].ToString();
                    }
                    else
                    { }
                }
               
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        try
        {
            Response.Redirect("~/Student/frmforumStudentQuestionAnswerDisplay.aspx");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }

    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objStudentAnswers.QuestionId = Convert.ToInt32(Request["id"]);
            objStudentAnswers.AnswersText = txtAnswertext.Text;
            objStudentAnswers.StudentId = Convert.ToInt32(Session["StudentId"]);
            int i = objStudentAnswers.InsertAnswers();
            if (i > 0)
            {
                cleardata();
                lblError.Text = "Recorded Inserted";
            }
            else
            {
                lblError.Text = "Not Inserted";
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void cleardata()
    {
        
        txtAnswertext.Text = "";
    }
}
