﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmStudentAchievementsmaster : System.Web.UI.Page
{
    Cls_StudentAchievementsMaster objStudentAchievementMaster = new Cls_StudentAchievementsMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {               
                ShowDomainfieldId();
                MentorId();
                Session["FileName"] = "";
                ViewState["Videofile"] = "";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objStudentAchievementMaster.StudentAchievementDescription = txtAchievementDescription.Text;
            if (Session["FileName"] != "")
            {
                objStudentAchievementMaster.PhotographyforSupport = Session["FileName"].ToString();
            }
            else
            {
                objStudentAchievementMaster.PhotographyforSupport = "~/upload/Noimage.jpg";
            }
            if (ViewState["Videofile"] != "")
            {
                objStudentAchievementMaster.Videofile = ViewState["Videofile"].ToString();
            }
            else
            {
                objStudentAchievementMaster.Videofile = "";
            }
            objStudentAchievementMaster.Domainfieldid = Convert.ToInt32(ddlDomainfieldid.SelectedValue);
            objStudentAchievementMaster.StudentComments = txtstudentcomments.Text;
            objStudentAchievementMaster.MentorId = Convert.ToInt32(ddlMentorName.SelectedValue);
            objStudentAchievementMaster.MentorComments = "";
            objStudentAchievementMaster.StudentId = Convert.ToInt32(Session["StudentId"]);
            int i= objStudentAchievementMaster.InsertStudentAchievementmaster();
            if (i > 0)
            {
                lblError.Text = "Recorded Inserted";
                ClearData();
            }
            else
            {
                lblError.Text = "Record Not Inserted";
            }
            }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            ClearData();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
 

    public void ShowDomainfieldId()
    {
        try
        {
            DataSet ds = objStudentAchievementMaster.ShowDomainfieldidandMentoridSelectStudentid(Convert.ToInt32(Session["StudentId"]));
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlDomainfieldid.DataSource = ds.Tables[0];
                ddlDomainfieldid.DataTextField = "DomainfieldName";
                ddlDomainfieldid.DataValueField = "DomainfieldId";
                ddlDomainfieldid.DataBind();
               
            }
           
        }
        catch (Exception ex)
        {

           lblError.Text =ex.Message;
        }
    }
    protected void btnVideoAttach_Click(object sender, EventArgs e)
    {
        try
        {
           ViewState["Videofile"] = "~/Videofile/" + FileuploadVideofile.FileName;
            if (FileuploadVideofile.FileName != "")
            {
                FileuploadVideofile.SaveAs(Server.MapPath("~/Videofile/" + FileuploadVideofile.FileName));
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void ClearData()
    {
        try
        {
            txtAchievementDescription.Text = "";
           
            txtstudentcomments.Text = "";
            if (ddlDomainfieldid.SelectedIndex != 0)
                ddlDomainfieldid.SelectedIndex = 0;
            if (ddlMentorName.SelectedIndex != 0)
                ddlMentorName.SelectedIndex = 0;   
            Fileupload1.ClearImage();
            Session["FileName"] = "";
            ViewState["Videofile"] = "";
            
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    
    }
    public void MentorId()
    {
        try
        {

            DataSet ds = objStudentAchievementMaster.ShowDomainfieldidandMentoridSelectStudentid(Convert.ToInt32(Session["StudentId"]));
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddlMentorName.DataSource = ds.Tables[0];
                ddlMentorName.DataTextField = "MentorFirstName";
                ddlMentorName.DataValueField = "MentorId";
                ddlMentorName.DataBind();

            }
            else
            {
                ddlMentorName.Items.Insert(0, "--Select One--");
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
