﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Admin_frmTutorialFeedBackMaster : System.Web.UI.Page
{
    Cls_TutorialFeedBackMaster objtutorialfeedBackMaster = new Cls_TutorialFeedBackMaster();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                Tutorialid();

            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objtutorialfeedBackMaster.TutorialId = Convert.ToInt32(ddltutorialId.SelectedValue);
            objtutorialfeedBackMaster.FeedBackText = txtfeedbacktext.Text.ToString();
            objtutorialfeedBackMaster.StudentId = Convert.ToInt32(Session["StudentId"]);
            int j = 0;
            for (int i = 0; i < chkfeedbackrating.Items.Count; i++)
            {
                if (chkfeedbackrating.Items[i].Selected == true)
                {
                    j = j + 1;
                }


                objtutorialfeedBackMaster.Rating = Convert.ToInt32(j);
            }
            int k = objtutorialfeedBackMaster.Inserttutorialfeedbackmaster();
            if (k > 0)
            {
                lblError.Text = "Recorded Inserted";
                cleardata();

            }
            else
            {
                lblError.Text = "Recorded Not Inserted";

            }



        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void cleardata()
    {
        try
        {
            lblError.Text = "";
            txtfeedbacktext.Text = "";
            panelfeedbackmaster.Visible = false;
            if (ddltutorialId.SelectedIndex != 0)
                ddltutorialId.SelectedIndex = 0;
            for (int i = 0; i < chkfeedbackrating.Items.Count; i++)
            {
                if (chkfeedbackrating.Items[i].Selected == true)
                {
                    chkfeedbackrating.Items[i].Selected = false;
                }
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    public void Tutorialid()
    {
        try
        {
            DataSet ds = objtutorialfeedBackMaster.tutorialid_selectidStuentWise(Convert.ToInt32(Session["StudentId"]));
            if (ds.Tables[0].Rows.Count != 0)
            {
                ddltutorialId.DataSource = ds.Tables[0];
                ddltutorialId.DataValueField = "TutorialId";
                ddltutorialId.DataTextField = "TutorialName";
                ddltutorialId.DataBind();
            }
            ddltutorialId.Items.Insert(0, "--Select One--");
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }

    protected void ddltutorialId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddltutorialId.SelectedIndex != 0)
            {
                panelfeedbackmaster.Visible = true;
                int tutorialid = Convert.ToInt32(ddltutorialId.SelectedValue);
                DataSet ds = objtutorialfeedBackMaster.tutorialid_selectid(tutorialid);
                if (ds.Tables[0].Rows.Count != 0)
                {
                    lblMentorName.Text = ds.Tables[0].Rows[0][2].ToString();
                    lblDomainfieldid.Text = ds.Tables[0].Rows[0][3].ToString();
                    linktutorialfile.Text = ds.Tables[0].Rows[0][1].ToString();


                }
            }
            else
            {
                lblError.Text = "";
                panelfeedbackmaster.Visible = false;
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void linktutorialfile_Click(object sender, EventArgs e)
    {
        try
        {
             string filename = linktutorialfile.Text ;
                if (filename != "")
                {
                    string path = Server.MapPath(filename);
                    System.IO.FileInfo file = new System.IO.FileInfo(path);
                    if (file.Exists)
                    {
                        Response.Clear();
                        Response.AddHeader("Content-Disposition", "attachment; filename=" + file.Name);
                        Response.AddHeader("Content-Length", file.Length.ToString());
                        Response.ContentType = "application/octet-stream";
                        Response.WriteFile(file.FullName);
                        Response.End();
                    }

                    else
                    {
                        Response.Write("This file does not exist.");
                    }
                }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
