﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Uclcontrols_UclAchievemnts : System.Web.UI.UserControl
{

    Cls_StudentAchievementsFeedBack objstudentAchievementback = new Cls_StudentAchievementsFeedBack();
    static int AchievementId;
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                getdata();
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        try
        {
            GridView1.PageIndex = e.NewPageIndex;
            getdata();
        }
        catch (Exception ex)
        {

            throw;
        }
    }
    public void getdata()
    {
        try
        {
            DataSet ds = Cls_StudentAchievementsFeedBack.ShowAchievementsDetails();
            if (ds.Tables[0].Rows.Count != 0)
            {
                GridView1.DataSource = ds.Tables[0];
                GridView1.DataBind();
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            objstudentAchievementback.AchievementId = AchievementId;
            panelcomment.Visible = false;
            if (Session["MentorId"] != null)
            {
                objstudentAchievementback.FeedBackstudentAndMentorId = Convert.ToInt32(Session["MentorId"].ToString());
            }
            else if (Session["StudentId"] != null)
            {
                objstudentAchievementback.FeedBackstudentAndMentorId = Convert.ToInt32(Session["StudentId"].ToString());
            }
            else
            {
                objstudentAchievementback.FeedBackstudentAndMentorId = Convert.ToInt32(0);
            }
            objstudentAchievementback.StudentmentorFeedBackText = txtfeedbacktext.Text;
            int i = objstudentAchievementback.insertAchievementfeedback();
            if (i > 0)
            {
                lblError.Text = "Comment Submited";
                Cleardata();

            }
            else
            {
                lblError.Text = "Not inserted";
            }
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        try
        {
            Cleardata();
            lblError.Text = "";
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }

    }
    public void Cleardata()
    {
        try
        {

            txtfeedbacktext.Text = "";
            panelcomment.Visible = false;
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        try
        {
            lblError.Text = "";
            if (e.CommandName == "Photo")
            {
                string filename = e.CommandArgument.ToString();
                if (filename != "")
                {
                    panelGrid.Visible = false;
                    string path = Server.MapPath(filename);
                    System.IO.FileInfo file = new System.IO.FileInfo(path);
                    if (file.Exists)
                    {
                        Response.Clear();
                        Response.AddHeader("Content-Disposition", "attachment; filename=" + file.Name);
                        Response.AddHeader("Content-Length", file.Length.ToString());
                        Response.ContentType = "application/octet-stream";
                        Response.WriteFile(file.FullName);
                        Response.End();
                    }

                    else
                    {
                        Response.Write("This file does not exist.");
                    }
                }
            }
            if (e.CommandName == "Video")
            {
                panelGrid.Visible = false;
                string filename = e.CommandArgument.ToString();
                if (filename != "")
                {
                    string path = Server.MapPath(filename);
                    System.IO.FileInfo file = new System.IO.FileInfo(path);
                    if (file.Exists)
                    {
                        Response.Clear();
                        Response.AddHeader("Content-Disposition", "attachment; filename=" + file.Name);
                        Response.AddHeader("Content-Length", file.Length.ToString());
                        Response.ContentType = "application/octet-stream";
                        Response.WriteFile(file.FullName);
                        Response.End();
                    }

                    else
                    {
                        Response.Write("This file does not exist.");
                    }
                }
            }
            if (e.CommandName == "Comment")
            {
                panelGrid.Visible = false;
                AchievementId = Convert.ToInt32(e.CommandArgument);
                panelcomment.Visible = true;
            }
            if (e.CommandName == "ShowComment")
            {
                panelGrid.Visible = true;
                AchievementId = Convert.ToInt32(e.CommandArgument);
                DataSet ds = Cls_StudentAchievementsFeedBack.ShowAchievementDetailsIdWise(AchievementId);
                GridComment.DataSource = ds.Tables[0];
                GridComment.DataBind();
            }

        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
    protected void GridComment_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        try
        {
            GridComment.PageIndex = e.NewPageIndex;
            DataSet ds = Cls_StudentAchievementsFeedBack.ShowAchievementDetailsIdWise(AchievementId);
                GridComment.DataSource = ds.Tables[0];
                GridComment.DataBind();
        }
        catch (Exception ex)
        {

            lblError.Text = ex.Message;
        }
    }
}
